Color and Code 10.6 - 'FREE' (27 ноября 2010 г) ( NEW )

Программист - Гаязов Г.Н.

1. SMD коды:

- Новые элементы;

- Новый тип.

2. Кодовая маркировка резисторов:

- Добавлено определение по 5-и кодовой маркировке;

Color and Code 10.5 - 'FREE' (30 октября 2010 г)

Программист - Гаязов Г.Н.

1. SMD коды:

- Новые элементы.

2. Объединить базы 'Микросхемы':

- Автоматическая конвертация из версии 2.1 в 2.2;

Color and Code 10.4 - 'FREE' (17 октября 2010 г)

Программист - Гаязов Г.Н.

1. SMD коды:

- Новые элементы.

2. Справочник 'Микросхемы':

- Новые типы - Преобразователь форматов, Цифровой комбинированный фильтр;

- Новые элементы.

+ Справочник 'Корпуса':

- Новые корпуса.

Color and Code 10.3 - 'FREE' (28 августа 2010 г)

Программист - Гаязов Г.Н.

1. SMD коды:

- Переработан алгоритм сортировки и поиска;

- Новые типы.

2. Обратное преобразование:

- Устранена ошибка в определении запятой.

Color and Code 10.2 - 'FREE' (16 мая 2010 г)

Программист - Гаязов Г.Н.

1. SMD коды:

- Добавлено отображение параметров стабилитронов и биполярных цифровых транзисторов;

- Новые типы.

2. КОРПУСА:

- Новые типы.

Color and Code 10.1 - 'FREE' (11 мая 2010 г)

Программист - Гаязов Г.Н.

1. СПРАВОЧНИК:

- Новая база - SMD коды;

2. Папки:

- Добавлена папка ( smd_base ) содержащая рисунки назначения выводов;

3. Исправления:

- Исправлена ошибка (пользователь RIV) определения версии обновления;

4. ЯЗЫК:

- Новые пункты;

Color and Code 10 - 'FREE' (24 января 2010 г)

Программист - Гаязов Г.Н.

1. СТАБИЛИТРОНЫ:

- Новые типы: BZX 85 Cxx, BZX 85 Bxx, BZG 03 Cxx, 1 SMA 59 xx.

2. МИКРОКОНТРОЛЛЕРЫ:

- Для микроконтроллера AT 90 mega 103, исправлено назначение 63-го вывода;

- Новые параметры;

3. СПРАВОЧНИК:

- Новый режим "Генерация тактовой частоты";

4. МИКРОСХЕМЫ:

- Новые типы: AN 5436 N, CXA 1314, CXA 1414, LA 7910, LA 7913, MC 33079 P.

- Новые корпуса внешнего вида: AN 5436 N, CXA 1314, CXA 1414, LA 7910, LA 7913, MC 33079 P.

- Новые функциональные схемы: AN 5436 N, CXA 1314, CXA 1414, LA 7910, LA 7913, MC 33079 P.

5. ОБЪЕДИНИТЬ БАЗЫ:

- Добавлено копирование рисунка внешнего вида корпуса и соответственно отображение информации об этом;

- Добавлено объединение базы "Микроконтроллеры";

6. ЯЗЫК:

- Новые пункты;

Color and Code 9.9 - 'FREE' (20 декабря 2009 г)

Программист - Гаязов Г.Н.

1. Микросхемы:

- Отображение инверсных выводов.

2. Микроконтроллеры:

- Отображение инверсных выводов;

- Отображение параметров;

- Новые типы.

3. ОБЪЕДИНИТЬ БАЗЫ - Микросхемы:

- Автоматическая конвертация из старой версии 2.0 в новую 2.1.

4. ЯЗЫК:

- Новые пункты;

Color and Code 9.8 - 'FREE' (10 декабря 2009 г)

Программист - Гаязов Г.Н.

1. Стабилитроны и стабисторы:

- Дополнены данные для типа BZX 55 C (добавлено номинальное сопротивление и корпус);

- Дополнены данные для типа BZX 84 C (добавлена мощность и температура, U ст min, U ст max);

- Новые типы серии BZV 55 Bxx, BZV 55 Cxx, BZX 84 Axx, BZX 84 Bxx, BZX 55 Bxx, BZX 79 Axx, BZX 79 Bxx, BZX 79 Cxx;

- Новые типы BZX 84 C 56, BZX 84 C 62, BZX 84 C 68, BZX 84 C 75;

2. Новая база "Микроконтроллеры".

3. ЯЗЫК:

- Новые пункты;

Color and Code 9.7 - 'FREE' (7 ноября 2009 г)

Программист - Гаязов Г.Н.

1. ИСПРАВЛЕНИЯ:

- Устранена ошибка заявленная пользователем Valeriy L - После попытки объединить базы происходит конвертация, после закрываю программу и она не открываться. Я добавлял только УНЧ.

- Устранено несоответствие назначение выводов и функциональной схемы:

* STV9303/W;

* STV9379, TDA9302H, TDA9309.

2. ОБЪЕДИНИТЬ БАЗЫ:

- Микросхемы. Автоматическая конвертация из старой версии 1.9 в новую 2.0;

3. СПРАВОЧНИК:

- База СТАБИЛИЗАТОРЫ перенесена в базу МИКРОСХЕМЫ.

- При построении таблицы питающих напряжений - учитывается еще три параметра VP, VF и HV;

- Микросхемы. Новые типы: AN5265DC, AN5515, AN5521, BA7611AN, BA7613N, BA7644AN, BA7645N, BA7649A, LA7210, LA7833, LA7890, LA7956, SAA1250.

- Корпуса. Новые типы: SIP-10, CLIPWATT-11.

4. ЯЗЫК:

- Новые пункты;

5. Для тех кто обновляет.

- Удалите следующие файлы:

* Graf\Dan_Stabiliz.gif

* Base\Stabiliz.dan

*Func\STV9303_W.gif

* Func\STV9379_TDA9302_09.gif

Color and Code 9.6 - 'FREE' (27 октября 2009 г)

Программист - Гаязов Г.Н.

1. ИСПРАВЛЕНИЯ:

- Устранена ошибка заявленная пользователем sergei 76 - При переключении в режиме справочника с пункта Корпуса на пункт Транзисторы, таблицы с данными не появляются. Тоже самое происходит при переключении с пункта Обозначение выводов на пункт Транзисторы.

2. ОБЪЕДИНИТЬ БАЗЫ:

- Микросхемы. Автоматическая конвертация из старой версии 1.8 в новую 1.9;

3. СПРАВОЧНИК:

- Корпуса. Новые типы - 14 наименований;

- В режиме "Радиоэлементы" в раздел "Подгруппа" были добавлены категории радиоэлементов (чтобы не переключаться при необходимости с группировки в обычный режим и наоборот);

- Микросхемы. Новая подгруппа - Программируемый счетчик.

- Микросхемы. Новые типы.

4. КАЛЬКУЛЯТОР:

- Новый расчет - Программирование ДПКД (делитель с переменным коэффициентом деления);

- В режиме любого расчета если нажать ОК, вы снова вернетесь в меню выбора расчетов, соответственно Отмена - выход из режима расчета.

5. РАЗНОЕ:

- Произведена корректировка базы стабилизаторов.

- Новый пункт меню - 'Партнеры'.

6. ЯЗЫК:

- Новые пункты;

Отдельное спасибо пользователю Малик В. П. за поддержку украинского языка.

Color and Code 9.5 - 'FREE' (11 октября 2009 г)

Программист - Гаязов Г.Н.

1. ИСПРАВЛЕНИЯ:

- Исправлена ошибка заявленная пользователем RIV. Суть ошибки: если сперва установить избранные расчеты калькулятора, а потом сразу изменить параметры (к примеру, поменять язык или группировку включить или выключить – проверять обновление) то ранее установленные избранные расчеты – обнуляются.

- Аналог КР142ЕН19 -TL 431 CLP а не CPL, та же ошибка и в самой TL 431;

- Если в режиме группировки радиоэлементов производилось объединение баз - список не обновлялся;

2. ИНТЕРНЕТ:

- Поддержка прокси (пока сети без авторизации пользователя);

3. СПРАВОЧНЫЕ ДАННЫЕ:

- Доработан диалог Обозначение полупроводниковых приборов по ГОСТ 10862-64 (четыре элемента);

- Доработан диалог по режекторным фильтрам ФП1Р8-63. Теперь характеристики появляются не сразу для всех фильтров, а только после выбора определенного типа;

- Новый диалог. Полосовые фильтры промежуточной частоты звукового сопровождения телевизоров ФП1П8-62;

- Новый диалог. Полосовые пьезокерамические фильтры для радиовещательных приемников УКВ ЧМ;

- Типоразмеры. Чип конденсаторы. Новый типоразмер 2220;

4. ОБЪЕДИНИТЬ БАЗЫ:

- Транзисторы. Автоматическая конвертация из старой версии 4.6 в новую 4.7;

5. СПРАВОЧНИК:

- СВЧ GaAs полевые транзисторы. Новые типы - 28 наименований;

- Для серии BZX 55 xxx удалены окончания RL, что было не совсем корректно ( т.к. обозначают у изготовителя всего лишь вид упаковки);

- Для серии 1 SMBxxx удалены окончания T 3, что было не совсем корректно ( т.к. обозначают у изготовителя всего лишь вид упаковки);

- Диоды. Добавлена серия КД202, КД203, КД206.

6. ЯЗЫК:

- Новые пункты;

7. Отдельная благодарность пользователю AlexIMS, т.к. большая часть обновлений в этой версии произведена благодаря ему.

Color and Code 9.4 - 'FREE' (27 сентября 2009 г)

Программист - Гаязов Г.Н.

1. РАЗНОЕ:

- Переработан алгоритм автоматической проверки обновления.

2. КОРПУСА:

- Новые типы;

3. СПРАВОЧНИК:

- Возможность объединения нескольких справочников в один пункт "Радиоэлементы";

- Расширена система комментариев для радиоэлементов;

К примеру ранее варикапы не подписывались, сейчас же в массе большого

и общего количества элементов их было бы трудно определить.

Комментариями обзавелись и другие ранее не подписанные элементы.

4. ЯЗЫК:

- Новые пункты;

Color and Code 9.3 - 'FREE' (19 сентября 2009 г)

Программист - Гаязов Г.Н.

1. ИСПРАВЛЕНИЯ:

- Пользователь RIV. Если отключить отображение стартовой страницы, то в справочнике в режиме таблицы не отображаются текстовые данные.

2. ТРАНЗИСТОРЫ:

- Новая подгруппа транзисторов - СВЧ GaAs полевые транзисторы;

- Новые типы - 78 наименований;

3. ОБЪЕДИНИТЬ БАЗЫ - Транзисторы:

- Автоматическая конвертация из старой версии 4.5 в новую 4.6;

4. ЯЗЫК:

- Новые пункты;

Color and Code 9.2 - 'FREE' (10 сентября 2009 г)

Программист - Гаязов Г.Н.

1. СТАБИЛИТРОНЫ:

- Новые типы: DL 4731 A - DL 4764 A (34 наименования).

2. КОРПУСА:

- 104 новых типа;

3. ОБЩИЕ ИЗМЕНЕНИЯ:

- Автоматическое определение новой версии;

- Меню 'О программе' - новый адрес форума;

- Стартовая страница. Новый пункт - Отображать при следующем запуске.

4. ЯЗЫК:

- Новые пункты;

Color and Code 9.1 - 'FREE' (24 августа 2009 г)

Программист - Гаязов Г.Н.

1. МИКРОСХЕМЫ:

- Новые типы: CXA 1518 Q, KS 5410, LC 7460, TDA 3840, TDA 3840 T, TDA 3842, TDA 3842 T, TDA 4672,

TDA8601, TDA8601T, MC44200FU, MC44251FN, CXA1518S, CXA1519S, CXA1520S,

CXA1519M, CXA1520M.

- Новые корпуса внешнего вида: CXA1518Q, KS5410, LC7460, TDA3840, TDA3840T, TDA3842, TDA3842T, TDA4672,

TDA8601, TDA8601T, MC44200FU, MC44251FN, CXA1518S, CXA1519S, CXA1520S,

CXA1519M, CXA1520M.

- Новые функциональные схемы: CXA1518Q, KS5410, LC7460, TDA3840, TDA3840T, TDA3842, TDA3842T, TDA4672,

TDA8601, TDA8601T, MC44200FU, MC44251FN, CXA1518S, CXA1519S, CXA1520S,

CXA 1519 M, CXA 1520 M.

- Вывод параметров для УНЧ;

- Введены параметры для следующих типов: TDA 1013 B, TDA 7052.

- Во время поиска элемента, автоматически выделяется первый элемент и сразу происходит отображение его данных.

2. КОРПУСА:

- 144 новых типа;

- 29 обновленных типов;

3. ОБЪЕДИНИТЬ БАЗЫ - Микросхемы:

- Автоматическая конвертация из старой версии 1.7 в новую 1.8.

4. ЯЗЫК:

- Новые пункты;

Color and Code 9.0 - 'FREE' (17 августа 2009 г)

Программист - Гаязов Г.Н.

1. ИСПРАВЛЕНИЯ:

- Пользователь RIV: если в режиме "Все элементы" выбрать микросхему относящуюся к

"Корректор цветовых переходов", то не доступно меню "Время задержки";

- При объединение баз данных, не переносилась информация о времени задержки;

- Калькулятор - Определение емкости из частоты и реактивного сопротивления – создавалась двойная вкладка;

2. ВАРИКАПЫ:

- Определение новых типов по 2-х цветной маркировке;

3. МИКРОСХЕМЫ:

- Новый режим - Внешний вид корпуса;

- Новый режим - Параметры;

- новые подгруппы:

* Цифровой декодер цветности SECAM;

* Цифровой декодер цветности MUSE-NTSC;

* Переключатель RGB сигналов;

* Переключатель диапазонов селектора каналов;

* Идентификатор видеосигнала;

- В режиме 'Питание' для таблицы реализован режим прокрутки;

- Новые типы: STK 7308, STK 7309, STK 7310, STK 7348, STK 7404, STK 7406, STK 7408, STR-D 6601, STR-D 6602,

STR-S6708, STR-S6707, STR10006, STR11006, STR50103A, STR50103B, STR54041, AN5421N,

AN5070, AN5071, uPC1397C, SPU2243, CXD2020Q.

- Новые корпуса внешнего вида: STK7308, STK7309, STK7310, STK7348, STK7404, STK7406, STK7408, STR-D6601, STR-D6602,

STR-S6708, STR-S6707, STR10006, STR11006, STR50103A, STR50103B, STR54041, AN5421N,

AN5070, AN5071, uPC1397C, SPU2243, CXD2020Q.

- Новые функциональные схемы: STK7308, STK7309, STK7310, STK7348, STK7404, STK7406, STK7408, STR-D6601, STR-D6602,

STR-S6708, STR-S6707, STR10006, STR11006, STR50103A, STR50103B, STR54041, AN5421N,

AN5070, AN5071, uPC1397C, SPU2243, CXD2020Q.

4. ТРАНЗИСТОРЫ:

- Новые типы: КТ659А, КТ660А, КТ660Б;

5. КАЛЬКУЛЯТОР:

- Добавлено два новых расчета:

* Цилиндрические однослойные катушки;

* Тороидальные катушки на ферритовых кольцах;

6. ОБЪЕДИНИТЬ БАЗЫ - Микросхемы:

- Автоматическая конвертация из старой версии 1.6 в новую 1.7.

- Список элементов – добавлено отображение названия рисунка включения времени задержки;

7. РАЗНОЕ:

- в режиме справочника, блокируется пункт 'Сервис->Параметры' (сделано для корректного обновления интерфейса справочника при переключении языков).

- комментарии для базы ‘Обозначение выводов’ вынесены в верхнее меню на сером фоне (также как было реализовано для микросхем);

- Редактор материалов - добавлена размерность;

8. ЯЗЫК:

- Новые пункты;

Color and Code 8.3 - 'FREE' (28 июля 2009 г)

Программист - Гаязов Г.Н.

1. СПРАВОЧНИК - Микросхемы:

- Новые типы: TDA4565

- Новые корпуса: TDA4565

- Новые функциональные схемы: TDA4565

- Время задержки: TDA4565

- Новый пункт сообщения - При замыкании S1 время задержки увеличивается на .... нс;

!!! Из папки 'Func' удалить файл - TDA4566.gif

2. КАЛЬКУЛЯТОР:

- Все функции вынесены в отдельный пункт;

- Новая функция - Справочники;

- Новый расчет - Проводники;

3. ОБЪЕДИНИТЬ БАЗЫ:

- Микросхемы - автоматическая конвертация из старой версии в новую (CLR15->CLR16);

4. ЯЗЫК:

- Новые пункты;

Color and Code 8.2 - 'FREE' (11 июля 2009 г)

Программист - Гаязов Г.Н.

1. ИСПРАВЛЕНИЯ:

- Автор PID6224 - Если после ввода цветовой маркировки (например, для транзисторов) перейти в характеристики, а потом попробовать перейти на ввод маркировки других деталей (сопротивления, конденсаторы, ...), то программа не выходит из режима характеристик! Приходится нажимать на кнопку "Новый расчет".

- кафедра ТМС - телевидения и мультимедийных систем КГТУ им. А.Н. Туполева, Казань.

В режиме конденсаторов не верно работает функция - Отменить последний введенный цвет

2. СПРАВОЧНИК:

- Новый режим справочника - Время задержки

Активируется когда выбрана подгруппа - Корректор цветовых переходов

3. ОБЪЕДИНИТЬ БАЗЫ:

- Микросхемы - автоматическая конвертация из старой версии в новую (CLR14->CLR15);

4. ОБЩИЕ:

- Изменен формат рисунков (все корпуса микросхем, некоторые функциональные схемы)

за счет чего уменьшился размер программы (уменьшена цветовая составляющая).

5. ЯЗЫК:

- Новые пункты;

Color and Code 8.1 - 'FREE' (15 июня 2009 г)

Программист - Гаязов Г.Н.

1. СПРАВОЧНИК - Микросхемы:

Новые типы:

AN5130, AN5132, AN5742, AN5743, AN7147N, AN7148, AN7149N,

AN7168, AN7169, AN7178, BA7001, BA7021, BA7131F, BA7604N,

BA7608N, BA7602, BA7603, BA7607, BA7609, BA7602F, BA7603F,

BA7607F, BA7609F, BA7605N, BA7606, BA7606F, IRT1260, LA7016,

M51321P, TA7347P, TDA8196, TDA8440, TEA1014, MC1330A, M3006LAB1,

TA7348P.

Новые корпуса:

AN5130, AN5132, AN5742, AN5743, AN7147N, AN7148, AN7149N,

AN7168, AN7169, AN7178, BA7001, BA7021, BA7131F, BA7604N,

BA7608N, BA7602, BA7603, BA7607, BA7609, BA7602F, BA7603F,

BA7607F, BA7609F, BA7605N, BA7606, BA7606F, IRT1260, LA7016,

M51321P, TA7347P, TDA8196, TDA8440, TEA1014, MC1330A, M3006LAB1,

TA7348P.

Новые функциональные схемы:

AN5130, AN5132, AN5742, AN5743, AN7147N, AN7148, AN7149N,

AN7168, AN7169, AN7178, BA7001, BA7021, BA7131F, BA7604N,

BA7608N, BA7602, BA7603, BA7607, BA7609, BA7602F, BA7603F,

BA7607F, BA7609F, BA7605N, BA7606, BA7606F, IRT1260, LA7016,

M51321P, TA7347P, TDA8196, TDA8440, TEA1014, MC1330A, M3006LAB1,

TA7348P.

Обновлены файлы:

AN5630K_20N_22.gif ; AN5630N.gif ; CX20026.gif ; CX20126_CXA1126.gif;

CXA1214P.gif ; TDA4560.gif ; TEA2028B.gif

Новые подгруппы: Переключатель аудиосигналов, Переключатель аудио и видеосигналов;

Новая функция - Питание;

2. ОБЪЕДИНИТЬ БАЗЫ:

- Микросхемы - автоматическая конвертация из старой версии в новую (CLR13->CLR14);

3. ЯЗЫК:

- Новые пункты;

Color and Code 8.0 - 'FREE' (7 июня 2009 г)

Программист - Гаязов Г.Н.

1. ОБЩИЕ ДОРАБОТКИ:

- Из меню удален пункт 'Вид';

- Включен стиль XP (для удобства визуального восприятия);

- Изменен дизайн группировки расчетов в один пункт;

- Пункт 'Язык' перенесен в 'Параметры';

- Автоматическая конвертация файла конфигурации в новую версию;

- Калькулятор (избранное) - вывод сообщения о неустановленных расчетах;

2. СПРАВОЧНИК:

Микросхемы - Новые типы:

CX 20126, CXA 1126 S, CXA 1113 AS, CXA 1451, CXA 1558 LM, TDA 4566, AN 5620 N, AN 5622,

TDA7052,TDA7056A, TDA8172, TDA8172A, TDA8179S, TDA8170, TDA8170A, TDA8178S, TDA8178FS, TDA8179FS, TDA8173.

Микросхемы - Новые корпуса:

CX20126, CXA1126S, CXA1113AS, CXA1451, CXA1558LM, CX20026, TDA4566, TDA4560, CXA1450M, CX20158,

AN5620K, AN5620N, AN5622, STR-D1816, STR-D6004X, HA11235, CXA1420P, CXA1214P,

TDA7052,TDA7056A, TDA8172, TDA8172A, TDA8179S, TDA8170, TDA8170A, TDA8178S, TDA8178FS, TDA8179FS, TDA8173.

Микросхемы - Новые функциональные схемы:

CX20126, CXA1126S, CXA1113AS, CXA1451, CXA1558LM, CX20026, TDA4566, TDA4560, CXA1450M, CX20158,

AN5722, AN5720, AN5630N, AN5532, AN5620K, AN5620N, AN5622, AN5435, AN5512, uPC1356C2, STR50115B

STR-D1816, STR-D6004X, HA11235, CXA1420P, CXA1214P, TDA7052,TDA7056A, TDA8172, TDA8172A, TDA8179S,

TDA8170, TDA8170A, TDA8178S, TDA8178FS, TDA8179FS, TDA8173.

Микросхемы - исправлена ошибка:

AN5620 изменен на AN5620K.

Микросхемы - Обновлены следующие типы:

AN5630N.

Обозначение выводов - новые подгруппы:

* Тиристоры;

* Стабилизаторы;

* Индикаторы;

3. Обозначение выводов:

Новые типы:

Тиристоры - 2У101, 2У102, 2У103, 2У104, 2У105, 2У106, 2У107, 2У110.

Стабилизаторы - L7805CD2T, L7852CD2T, L7806CD2T, L7808CD2T, L7885CD2T, L7809CD2T,

L7812CD2T, L7815CD2T, L7818CD2T, L7820CD2T, L7824CD2T.

Индикаторы - ITM-1602 ATR, ITM-1602 ATTL, ITM-1602 ASTL.

4. КАЛЬКУЛЯТОР:

- Новые расчеты:

* Определение индуктивности из частоты и реактивного сопротивления;

* Определение емкости из частоты и реактивного сопротивления;

- Все расчеты дополнены возможностью скопировать результат;

- Проверка ввода запятой, за место точки, с автоматической заменой.

5. ОБЪЕДИНИТЬ БАЗЫ:

- Обозначение выводов - автоматическая конвертация из старой версии в новую (CLR11->CLR12);

6. ЯЗЫК:

- Переведены вкладки в диалогах калькулятора;

- Новые пункты;

- Новый язык;

Color and Code 7.1 - 'FREE' (23 мая 2009 г)

Программист - Гаязов Г.Н.

1. ОБЪЕДИНИТЬ БАЗЫ:

- Микросхемы - автоматическая конвертация из старой версии в новую (CLR12->CLR13);

2. ОБЩИЕ:

- Изменен формат рисунков (функциональные схемы, некоторые корпуса, некоторые обозначения выводов)

за счет чего уменьшился размер программы (уменьшена цветовая составляющая).

Color and Code 7.0 - 'FREE' (17 мая 2009 г)

Программист - Гаязов Г.Н.

1. ОБЩИЕ ИЗМЕНЕНИЯ:

- Проект поменял название с Color на Color and Code;

- Изменен логотип и дизайн стартовой страницы;

- При нажатии на кнопку e-mail в окне - О программе,

автоматически заполняется поле тема в почтовом клиенте;

- Меню 'Сервис' новые подпункты - 'Калькулятор (избранное)', 'Параметры';

2. СПРАВОЧНИК:

- Микросхемы - новые функциональные схемы:

CXA 1950 Q, CXK 1203 R, CXK 1203 Q, CXK 1202 Q, CXK 1202 S, STV 9303, STV 9303 W,

STV9378, STV9379, TDA9302H, TDA9309, STV9379F, TDA2170, TDA2270,

TDA4570, TDA4632, TDA4691, TDA4691T, TDA4860, TDA4861, TDA8160,

TDA 8162, TDA 9302, TEA 2028 B.

- Микросхемы - Новые корпуса:

STV 9378, TEA 2028 B.

- Микросхемы - Новые типы:

TEA2028B, CX20158, CX20026, CXA1450M, TDA4560.

- Теперь справочник не появляется в отдельном окне (что не совсем было удобно),

а встраивается в окно программы (как единое целое).

- Микросхемы - новые подгруппы: Корректор цветовых переходов, Стереодекодер звуковых сигналов, Переключатель видеосигналов;

3. КАЛЬКУЛЯТОР:

- Новый режим работы калькулятора – Калькулятор (избранное).

Данный режим производит группировку выбранных расчетов в один пункт.

4. ОБЪЕДИНИТЬ БАЗЫ:

- Оптопары - добавлен автоматический перенос рисунка функциональной схемы;

5. ЯЗЫК:

- Новые пункты в языковых файлах. Переведено:

* некоторые пункты меню;

* некоторые сообщения в статусной строке;

* некоторые всплывающие подсказки;

* диалог - Объединить базы;

* диалог - Обратное преобразование;

Color 6.9.1 - 'FREE' (5 мая 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. СПРАВОЧНИК:

- Под графой поиск отображается стандарт: 'Отечественный' или 'Зарубежный';

- В базы оптопар (диодные, транзисторные, тиристорные) - добавлен пункт - функциональная схема, в связи с этим становиться доступным меню - Функциональная схема.

2. КАЛЬКУЛЯТОР:

- Обратное определение при параллельном соединении резисторов и последовательном конденсаторов: За место кнопок 'OK' и 'Отмена' оставлена кнопка 'Закрыть';

- Для параллельного и последовательного соединения резисторов и конденсаторов в рисунках убран белый фон.

3. РАЗНОЕ:

- Стартовая страница: если текст предложения переносится на другие строки иконка на других строках не отображается.

- комментарии для резисторов фирмы PHILIPS вынесены в верхнее меню на сером фоне (также как было реализовано для справочника);

4. ИСПРАВЛЕНИЯ:

- Если становилось доступным - отменить введенный цвет – исчезали подсказки в панели управления;

5. ЯЗЫК:

- Новые пункты в языковых файлах;

Color 6.9 - 'FREE' (28 апреля 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. ФУНКЦИИ:

- Отменить последний введенный цвет;

2. СПРАВОЧНИК - ОПТОПАРЫ:

- Новый подраздел 'тиристорные';

- Новые типы;

- Новый формат данных;

3. ОБЪЕДИНИТЬ БАЗЫ - ОПТОПАРЫ:

- Поддержка нового формата;

- Автоматическая конвертация из старой версии в новую (CLR 45->CLR 46);

4. КАЛЬКУЛЯТОР:

- Обратное определение при параллельном соединении резисторов и последовательном конденсаторов;

5. РАЗНОЕ:

- Увеличена ширина программы, в связи с этим часть рисунков базы данных, с двух колонок переделана в одну:

диоды - обычные, фотоэлементы; расширено поле 'назначение выводов' для микросхем.

Color 6.8.8 - 'FREE' (19 апреля 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Объединить базы*:

- Добавлена поддержка объединения баз – переключатели, фотоэлементы, транзисторы;

*. В данной версии реализована поддержка объединения всех имеющихся баз данных.

Color 6.8.7 - 'FREE' (15 апреля 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Объединить базы*:

- Добавлена поддержка объединения баз - варикапы, держатели предохранителей, диоды, стабилизаторы, стабилитроны и стабисторы;

*. В данный момент реализована поддержка объединения следующих баз:

- стабилитроны и стабисторы;

- стабилизаторы;

- диоды;

- держатели предохранителей;

- варикапы;

- микросхемы;

- корпуса;

- обозначение выводов;

- оптопары.

Color 6.8.6 - 'FREE' (14 апреля 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Объединить базы*:

- Добавлена поддержка объединения баз - корпусов, обозначений выводов и оптопар;

*. В данный момент реализована поддержка объединения следующих баз:

- микросхемы;

- корпуса;

- обозначение выводов;

- оптопары.

Color 6.8.5 - 'FREE' (12 апреля 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Сервис:

- Добавлена новая функция - Объединить базы.

Более подробно на форуме http://www.colorandcode.ru/forum/viewtopic.php?t=168

Color 6.8.4 - 'FREE' (8 апреля 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Справочник:

- В базу "Переключатели"- добавлен подраздел - клавишные.

2. Разное:

- Меню элементов с верхней панели перенесено в левую сторону.

Color 6.8.3 - 'FREE' (16 марта 2009 г)

Программист - Гаязов Г.Н.

Набор базы данных – Рахматуллин Р.Р.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Справочник:

- Новая база – “Переключатели” с подгруппой – DIP переключатель.

Добавлено 53 наименования элементов с рисунками корпусов.

UpdateBase_10

Обновление базы данных от 14 марта 2009 г:

– КОРПУСА:

- Новые типы:

КТ-10, КТ-1-19, КТ-15, КТ-18, КТ-1-8, КТ-19, КТ-20, КТ-23, КТ-25, КТ-27,

КТ-28, КТ-29, КТ-30, КТ-31, КТ-32, КТ-37, КТ-42, КТ-4-2, КТ-44, КТ-45,

КТ-52, КТ-54, КТ-59, КТ-61, КТ-8.

- Обновления:

КТ-14.

Color 6.8.2 - 'FREE' (12 марта 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Справочник:

- Корпуса – новые типы:

SIP-12 P-M 01, SIP-7 P-M 01, SIP-8 P-M 01, SIP-8 P-M 03, SIP-8 P-M 04, SIP-9 P-M 01, SIP-9 P-M 02.

- Обозначение выводов – новые типы и изменен формат данных:

Фотодиоды:

PD 15-21 B-TR 8, PD 15-22 B-TR 8, PD 15-22C, PD 15-22 C-L 3-TR 8, PD 15-22 C-TR 8, PD 204-6 B-L 3,

PD333-3B-H0-L2, PD333-3C-H0-L2, PD42-21B-S21-TR8, PD42-21B-TR8, PD42-21C-TR8,

PD438B-C2, PD438B-L1, PD438B-S46, PD438B, PD438C-S46, PD438C, PD638B, PD638C,

PD70-01B-TR7, PD70-01B-TR10, PD70-01C-TR7, PD70-01C-TR10, PD95-21B, PD95-21B-TR10.

Фототранзисторы:

PT12-21B-TR8, PT1504-6B, PT15-21C-TR8, PT15-21B-TR8, PT17-21C-L41-TR8,

PT17-21B-L41-TR8, PT202C, PT204-6C, PT204-6B, PT331C, PT333-3C,

PT334-6C, PT334-6B-52, PT534-6B, PT19-21C-L41-TR8, PT2559B-F, PT26-21B-TR8,

PT26-21C-TR8,PT26-51B-TR8, PT28-21B-TR8, PT42-21B-TR8, PT5529B-L2-F,

PT67-21C-L41-TR8, PT908-7C-F, PT908-7B-F, PT91-21B, PT91-21B-F7, PT91-21B-TR9,

PT91-21B-F10, PT928-6C-F, PT928-6B-F, PT958-8C.

Транзисторы:

2Т709А2, 2Т709Б2, 2Т709В2, 2Т716А1, 2Т716Б1, 2Т716В1, КТ812А, КТ818А, КТ818Б, КТ818В, КТ818Г,
КТ819А, КТ819Б, КТ819В, КТ819Г, КТ805АМ, КТ805БМ, КТ805ВМ, КТ805ИМ, КТ819А, КТ819Б,
КТ819В, КТ819Г, КТ835А, КТ835Б, КТ837А, КТ837Б, КТ837В, КТ837Г, КТ837Д, КТ837Е, КТ837Ж,
КТ837И, КТ837К, КТ837Л, КТ837М, КТ837Н, КТ837П, КТ837Р, КТ837С, КТ837Т, КТ837У, КТ837Ф,

КТ858А, КТ859А, КТ812А, КТ829А, КТ829Б, КТ829В, КТ829Г, КТ850А, КТ850Б, КТ850В, КТ851А,
КТ851Б, КТ851В, КТ852А, КТ852Б, КТ852В, КТ852Г, КТ853А, КТ853Б, КТ853В, КТ853Г, КТ854А,
КТ854Б, КТ855А, КТ855Б, КТ855В, КТ857А, КТ863А, КТ899А, КТ8108А, КТ8108Б, КТ8109А,
КТ8109Б, КТ8110А, КТ8110Б, КТ8110В, КТ8140А, КТ8116А, КТ8116Б, КТ8116В, КТ8118А, КТ8120А,
КТ8121А, КТ8121Б, КТ8123А, КТ8124А, КТ8124Б, КТ8124В, КТ117А, КТ117Б, КТ117В, КТ117Г, КТ201А,
КТ201Б, КТ201В, КТ201Г, КТ201Д, КТ203А, КТ203Б, КТ203В, КТ3102А, КТ3102Б, КТ3102В, КТ3102Г,
КТ3102Д, КТ3102Е, КТ3102Ж, КТ3102И, КТ3102К, КТ3108А, КТ3108Б, КТ3108В, КТ3117А, КТ3117Б,
КТ3127А, КТ3128А, КТ313А, КТ313Б, КТ316А, КТ316Б, КТ316В, КТ316Г, КТ316Д, КТ342А, КТ342Б,
КТ342В, КТ347А, КТ347Б, КТ347В, КТ349А (исполнение1), КТ349Б (исполнение1), КТ349В (исполнение1),
КТ363А, КТ363Б, КТ208А, КТ208Б, КТ208В, КТ208Г, КТ208Д, КТ208Е, КТ208Ж, КТ208И, КТ208К, КТ208Л,
КТ208М, КТ339А, КТ339Б, КТ339В, КТ339Г, КТ339Д, КТ501А, КТ501Б, КТ501В, КТ501Г, КТ501Д, КТ501Е,
КТ501Ж, КТ501И, КТ501К, КТ501Л, КТ501М, КТ201АМ, КТ201БМ, КТ201ВМ, КТ201ГМ, КТ201ДМ, КТ203АМ,
КТ203БМ, КТ203ВМ, КТ208А1, КТ208Б1, КТ208В1, КТ208Г1, КТ208Д1, КТ208Е1, КТ208Ж1, КТ208И1, КТ208К1,
КТ208Л1, КТ208М1, КТ209А, КТ209Б, КТ209Б1, КТ209В, КТ209В1, КТ209В2, КТ209Г, КТ209Д, КТ209Е,
КТ209Ж, КТ209И, КТ209К, КТ209Л, КТ209М, КТ502А, КТ502Б, КТ502В, КТ502Г, КТ502Д, КТ502Е,
КТ503А, КТ503Б, КТ503В, КТ503Г, КТ503Д, КТ503Е, КТ306АМ, КТ306БМ, КТ306ВМ, КТ306ГМ, КТ306ДМ,
КТ3102АМ, КТ3102БМ, КТ3102ВМ, КТ3102ГМ, КТ3102ДМ, КТ3102ЕМ, КТ3102ЖМ, КТ3102ИМ, КТ3102КМ,
КТ3107А, КТ3107Б, КТ3107В, КТ3107Г, КТ3107Д, Т3107Е, КТ3107Ж, КТ3107И, КТ3107К, КТ3107Л, КТ3117А1,
КТ3126А, КТ3126Б, КТ3128А1, КТ313АМ, КТ313БМ, КТ316АМ, КТ316БМ, КТ316ВМ, КТ316ГМ, КТ316ДМ,
КТ349А (исполнение2), КТ349Б (исполнение2), КТ349В (исполнение2), КТ342АМ, КТ342БМ, КТ342ВМ,
КТ342ГМ, КТ342ДМ, КТ345А, КТ345Б, КТ345В, КТ350А, КТ351А, КТ351Б, КТ352А, КТ352Б, КТ355АМ,
КТ363АМ, КТ363БМ, КТ368АМ, КТ368БМ, КТ306А, КТ306Б, КТ306В, КТ306Г, КТ306Д, КТ601АМ, КТ601БМ,
КТ602АМ, КТ602БМ, КТ814А, КТ814Б, КТ814В, КТ814Г, КТ815А, КТ815Б, КТ815В, КТ815Г, КТ816А, КТ816А2,
КТ816Б, КТ816В, КТ816Г, КТ817А, КТ817Б, КТ817Б2, КТ817В, КТ817Г, КТ817Г2, КТ818А, КТ818Б, КТ818В,
КТ818Г, КТ8130А, КТ8130Б, КТ8130В, КТ8131А, КТ8131Б, КТ8131В, КТ940А, КТ940Б, КТ940В, КТ961А,
КТ961Б, КТ961В, КТ969А, КТ972А, КТ972Б, КТ973А, КТ973Б, КТ997А, КТ997Б, КТ9115А, КТ3101А-2,
КТ3115А-2, КТ3115В-2, КТ3115Г-2, КТ3123А-2, КТ3123Б-2, КТ3123В-2, КТ372А, КТ372Б, КТ372В, КТ391А-2,
КТ391Б-2, КТ391В-2,КТ3109А, КТ3109Б, КТ3109В, КТ312А, КТ312Б, КТ312В, КТ325А, КТ325Б, КТ325В, КТ3120А,
КТ371А, КТ382А, КТ382АМ, КТ382Б, КТ382БМ, КТ3129А-9, КТ3129Б-9, КТ3129В-9, КТ3129Г-9, КТ3129Д-9, КТ3130А-9,
КТ3130Б-9, КТ3130В-9, КТ3130Г-9, КТ3130Д-9, КТ3130Е-9, КТ3130Ж-9, КТ3168А-9, КТ315А, КТ315Б, КТ315В, КТ315Г,
КТ315Г1, КТ315Д, КТ315Е, КТ315Ж, КТ315И, КТ315Н, КТ315Р, КТ361А, КТ361Б, КТ361В, КТ361Г, КТ361Г1, КТ361Д,
КТ361Е, КТ361Ж, КТ361И, КТ361К, КТ3157А, КТ325АМ, КТ325БМ, КТ325ВМ, КТ339АМ, КТ368А, КТ368Б, КТ399А,
КТ399АМ, КТ504А, КТ504Б, КТ504В, КТ505А, КТ505Б, КТ506А, КТ506Б, КТ601А, КТ602А, КТ602Б, КТ602В, КТ602Г,
КТ801А, КТ801Б, КТ872А, КТ872Б, КТ872В, КТ8111А, КТ8111Б, КТ8111В, КТ8114А, КТ8114Б, КТ8114В, КТ879А,
КТ879Б, КТ886А1, КТ886Б1, КТ8127А1, КТ8127Б1, КТ8127В1, КТ890А, КТ890Б, КТ890В, КТ896А, КТ896Б, КТ896В,
КТ898А, КТ898Б, КТ8101А, КТ8101Б, КТ8102А, КТ8102Б, КТ8106А, КТ8106Б, КТ8117А, КТ898А1, КТ898Б1, КТ999А,

ГТ313А, ГТ313Б, ГТ313В, ГТ906А, ГТ905А, ГТ905Б, ГТ906АМ, 2Т713А, КТ812Б, КТ812В, 2Т812А, 2Т812Б, КТ818АМ, КТ818БМ,
КТ818ВМ, КТ818ГМ, 2Т818А, 2Т818Б, 2Т818В, КТ819АМ, КТ819БМ, КТ819ВМ, КТ819ГМ, 2Т819А, 2Т819Б, 2Т819В, 2Т825А, 2Т825Б,
2Т825В, КТ825Г, КТ825Д, КТ825Е, КТ710А, КТ808АМ, КТ808БМ, КТ808ВМ, КТ808ГМ, КТ812Б, КТ812В, 2Т812А, 2Т812Б,
КТ819АМ, КТ819БМ, КТ819ВМ, КТ819ГМ, 2Т819А, 2Т819Б, 2Т819В, 2Т825А, 2Т825Б, 2Т825В, КТ825Г, КТ825Д, КТ825Е,
КТ826А, КТ826Б, КТ826В, КТ827А, КТ827Б, КТ827В, КТ828А, КТ828Б, КТ834А, КТ834Б, КТ834В, КТ838А, КТ839А, КТ840А,
КТ840Б, КТ841А, КТ841Б, КТ841В, КТ846А, КТ846Б, КТ846В, КТ847А, КТ848А, КТ8127А, КТ8127Б, КТ8127В, КТ878А,
КТ878Б, КТ878В, КТ892А, КТ892Б, КТ892В, КТ897А, КТ897Б, КТ8104А, КТ8105А, КТ8107А, КТ8107Б, КТ8107В, КТ8129А, КТ945А.

Color 6.8.1 - 'FREE' (10 марта 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Микросхемы:

- новые подгруппы - Передатчик команд ИК системы ДУ, УНЧ;

- комментарии для всех баз вынесены в верхнее меню на сером фоне (также как было реализовано для микросхем);

- вывод функциональных схем;

- когда активировано окно - прокрутка списка доступна через ролик скролинга мышки;

- новые типы: M 58480 P, M 58484 P, TDA 1013 B, а также рисунки функциональных схем этих микросхем.

UpdateBase_09

Обновление базы данных от 1 марта 2009 г:

– МИКРОСХЕМЫ:

Новые типы (Также добавлены рисунки корпусов этих микросхем):

STV 9378 F, STV 9379, TDA 9302 H, TDA 9309, STV 9379 F, TDA 2170, TDA 2270, TDA 4632, TDA 4691, TDA 4691 T, TDA 4860, TDA 4861, TDA 8162, TDA 9302, STV 9303, STV 9303 W.

Дополнительно добавлены рисунки корпусов ранее введенных микросхем:

AN 5630 N, AN 5720, AN 5722.

– ДЕРЖАТЕЛИ ПРЕДОХРАНИТЕЛЕЙ:

Новые типы - KLS 5-235 S.

Color 6.8 - 'FREE' (26 февраля 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Калькулятор:

- Новые расчеты:

* Реактивное сопротивление конденсатора;

* Реактивное сопротивление конденсатора (+);

* Реактивное сопротивление катушки индуктивности;

* Реактивное сопротивление катушки индуктивности (+);

- Кнопки "ОК" переименованы в "Закрыть";

2. МИКРОСХЕМЫ:

- Новые типы:

CXK1202Q, CXK1202S, AN5512, AN5532;

- Новые рисунки корпусов:

CXK1202Q, CXK1202S, AN5512, AN5532, AN5435, uPC1356C2;

3. ФУНКЦИИ:

- Новый модуль - Обратное преобразование, т.е. вводишь номинал резистора,

а выводиться его цветовая маркировка.

Поддерживается полный набор, т.е. 3, 4, 5 и 6 меток;

4. ТРАНЗИСТОРЫ:

- Новый модуль - "Цифровые" со встроенными резисторами;

- Новые типы:

BCR108, BCR112, BCR133, BCR135, BCR141, BCR142, BCR158, BCR169, BCR185,

BCR191, BCR512, BCR533, BCR562, BCR108W, BCR133W, BCR141W, BCR148W,

BCR169W, BCR198W;

5. СПРАВОЧНИК:

- Новая база - обозначение выводов;

- Новые типы элементов - серия 5R3xxx, 50WQ10FN,BAS16,серия BZT52xxx, L-32P3C,

PD204-6B, серия КВ109x, серия КТ315x;

6. ОБЩИЕ ДОРАБОТКИ:

- Изменения в файлах языков;

- Исправлена ошибка - Стабилизаторы L4974A, L4975A - за место разницы Uвх-вых

выдавалось название корпуса;

- Исправлена ошибка - Корпуса, был введен дважды корпус TO-29;

Color 6.7.3 - 'FREE' (1 февраля 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. МИКРОСХЕМЫ:

- Новые подгруппы:

* Декодер цветности NTSC;

* Декодер цветности PAL/NTSC;

* Цифровая линия задержки на одну строку;

- Вывод полного названия микросхемы;

- Новые типы: CXA 1950 Q, CXK 1203 R, CXK 1203 Q, TDA 4570;

- Новые рисунки корпусов: TDA 8160, CXA 1950 Q, CXK 1203 R/Q, TDA 4570;

2. ОБЩИЕ ДОРАБОТКИ:

- Изменения в файлах языков;

Color 6.7.2 - 'FREE' (25 января 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. МИКРОСХЕМЫ:

- Новая подгруппа: Схема управления импульсным ИП с мощным транзистором;

- Новые типы: STR-D 1816, STR-D 6004 X, STR 50115 B;

- Реализован вывод данных в режиме - КОРПУС;

- Добавлен рисунок корпуса: STR 50115 B;

2. ОБЩИЕ ДОРАБОТКИ:

- Добавлен стиль решетка в диалоги: Ряды значений, Индуктивности для поверхностного монтажа;

- Изменения в файлах языков;

- Общие доработки программы;

Color 6.7.1 - 'FREE' (20 января 2009 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. МИКРОСХЕМЫ:

- Вывод количества выводов микросхем;

2. БАЗА ДАННЫХ – Держатели предохранителей

- Обновлены рисунки: ZH 110, ZH 242, ZH 243, ZH 246;

- Новые типы: ZH 239, ZH 240, ZH 244;

3. БАЗА ДАННЫХ – Микросхемы

- Новые типы: AN 5435, AN 5630 N, AN 5720;

Color 6.7 - 'FREE' (20 декабря 2008 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. СПРАВОЧНИК:

- Микросхемы новые типы;

2. ОБЩИЕ:

- Программа переведена в разряд БЕСПЛАТНЫХ;

Color 6.7 beta 1 - 'shareware' (18 октября 2008 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. СПРАВОЧНИК:

- Новая база данных - микросхемы;

2. WINDOWS VISTA:

- Исправлены заявленные ошибки;

3. Калькулятор:

- Новые расчеты;

- Переработаны предыдущие расчеты;

4. Рисунки:

- Переработаны некоторые рисунки базы данных;

- Изменен рисунок калькулятора;

- Добавлены иконки на стартовой странице;

5. Разное:

- В меню 'О программе' активирована ссылка на гостевую книгу;

- Модификация исходного кода;

Color 2008.2 - 'shareware' (20 августа 2008 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

+ ФОТОЭЛЕМЕНТЫ:

- Новые элементы в базе - фототранзисторы:

PT19-21C-L41-TR8, PT2559B-F, PT26-21B-TR8, PT26-21C-TR8, PT26-51B-TR8,

PT28-21B-TR8, PT42-21B-TR8, PT5529B-L2-F, PT67-21C-L41-TR8, PT908-7C-F,

PT908-7B-F, PT91-21B, PT91-21B-F7, PT91-21B-TR9, PT91-21B-F10,

PT928-6C-F, PT928-6B-F, PT958-8C.

- Реализован вывод габаритных размеров, внешнего вида и схемы включения:

Фотодиоды -

PD 15-21 B-TR 8, PD 15-22 B-TR 8, PD 15-22C, PD 15-22 C-L 3-TR 8, PD 15-22 C-TR 8,

PD204-6B, PD204-6B-L3, PD333-3B-H0-L2, PD333-3C-H0-L2, PD42-21B-S21-TR8,

PD42-21B-TR8, PD42-21C-TR8, PD438B, PD438B-C1, PD438B-C2, PD438B-L1,

PD438B-S46, PD438C, PD438C-S46, PD638B, PD638C, PD70-01C-TR10,

PD70-01B-TR10, PD70-01B-TR7, PD70-01C-TR7, PD95-21B, PD95-21B-TR10.

Фототранзисторы -

PT12-21B-TR8, PT12-21C-TR8, PT1504-6B, PT15-21B-TR8, PT15-21C-TR8,

PT17-21B-L41-TR8, PT17-21C-L41-TR8, PT19-21C-L41-TR8, PT202C,

PT204-6B, PT204-6C, PT2559B-F, PT26-21B-TR8, PT26-21C-TR8,

PT26-51B-TR8, PT28-21B-TR8, PT331C, PT333-3C, PT334-6B-52, PT334-6C,

PT534-6B, PT42-21B-TR8, PT5529B-L2-F, PT67-21C-L41-TR8, PT908-7B-F,

PT908-7C-F, PT91-21B, PT91-21B-F10, PT91-21B-F7, PT91-21B-TR9,

PT928-6B-F, PT928-6C-F, PT958-8C.

Color 2008.1 - 'shareware' (16 августа 2008 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. ФОТОЭЛЕМЕНТЫ:

- Новая база - фототранзисторы:

PT 12-21 C-TR 8, PT 12-21 B-TR 8, PT 1504-6 B, PT 15-21 C-TR 8, PT 15-21 B-TR 8,

PT17-21C-L41-TR8, PT17-21B-L41-TR8, PT202C, PT204-6C, PT204-6B,

PT331C, PT333-3C, PT334-6C, PT334-6B-52, PT534-6B.

Color 2008 - 'shareware' (25 апреля 2008 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. СПРАВОЧНЫЕ ДАННЫЕ:

- Фильтры отечественные;

- Фильтры импортные;

- Дискриминаторы импортные;

2. КОРПУСА:

- Новые типы: DO-201 AE, DT 38 T, HC-49/U, HC-49/US, MG 3 A, MMTF 32, MTF 38,

TO-1A, TO-2, TO-7, TO-8, TO-10, TO-12, TO-13, TO-23,

TO-24, TO-29, TO-37, TO-40, TO-41, TO-44, TO-46,

TO-52, TO-58, TO-60, TO-61, TO-66, TO-72, TO-98,

TO-117, TO-128, TO-129, SOT-9;

- Обновлены корпуса: TO-22, TO-31;

3. ЧИП ЭЛЕМЕНТЫ:

- Определение диодов в корпусах SOD-80 по 1-о цветной маркировке;

- Определение чип конденсаторов SMD по 4-х кодовой маркировке;

4. СТАБИЛИТРОНЫ:

- Цветовая маркировка по стандарту JIS-C-7012 (Япония) - супрессоры по 2-х и 3-х цветной маркировке;

5. ДОПОЛНИТЕЛЬНО:

- Добавлены предыдущие обновления;

- Увеличен размер диалога - Ряды значений сопротивлений и емкости;

- Увеличен размер диалога - Обозначение полупроводниковых приборов по ГОСТ 10862-64 (четыре элемента);

- Переработаны некоторые рисунки;

- Для стабилитронов добавлен выбор между отечественным стандартом и стандартом JIS-C-7012 (Япония);

- Для стабилитронов добавлен выбор по 3-х цветной маркировке;

- Изменен адрес сайта на http://ColorAndCode.ru

- В диалог "КАК КУПИТЬ ПРОГРАММУ COLOR" добавлена вкладка "Олата через банк";

6. ЯЗЫКИ:

- Добавлены новые пункты;

Color 6.5.1 - 'shareware' (23 марта 2008 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

+ Исправлена ошибка:

База данных - КОРПУСА. Набираем mi - список полностью исчезает (например поиск MiniMELF).

+ Цветовая маркировка диодов (2 метки) - скорректирован рисунок.

UpdateBase_08

Обновление базы данных – ДИОДЫ от 29 февраля 2008 г

1. Добавлены отечественные аналоги и типы корпусов для следующих типов:

1 N 4001, 1 N 4002, 1 N 4003, 1 N 4004, 1 N 4005, 1 N 4006, 1 N 4007.

2. Добавлены отечественные аналоги для следующих типов:

1 N 4148.

3. Добавлены зарубежные аналоги для следующих типов:

КД102Б, КД522Б, КД521А.

Color 6.5 - 'shareware' (25 февраля 2008 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. СПРАВОЧНИК:

- КОРПУСА.

Обновлены типы (DIP-4, DIP-8, КТ-43-1, TO-247AC, КТ-28-1);

Новые типы (MFP-20, TO-92-2,КТ-26-2, КТ-89, КТ-28-2, КТ-91, TO-251, КТ-56, TRB-67б

КТ-9М, КД-36, SMD-2, КТ-95, TO-276AA, КТ-93, TO-220AC, КД-23, КТ-32Аб

TO-247VAR, КТ-43 Вб TO-257AA, КТ-97 А, TO-204AA, КТ-9 С, SMD-1, КТ-94,

TABS-1-14, TABS-2-8, TABS-3-12, TABS-4-14);

Добавлены аналоги (КТ-28-2 <-> TO-220AB, КТ-89 <-> TO-252AA <-> DPAK, TO-92-2 <-> КТ-26-2,

КТ-91 <-> TO-251, КТ-56 <->TRB-67, КД-36 <-> SOD-123, SMD-2 <-> КТ-95,

TO-276AA <-> КТ-93, КТ-28-1 <-> TO-220AC б TO-257AA <-> КТ-97 А,

TO-204AA <-> КТ-9С, КТ-94 <-> SMD-1);

2. СПРАВОЧНЫЕ ДАННЫЕ:

- Чип резисторы. Новые параметры (Максимально допустимая мощность, Вт ; Максимальное рабочее напряжение, В).

- Чип конденсаторы. Новый параметр (Рабочее напряжение, В);

3. ИНДУКТИВНОСТИ ДЛЯ ПОВЕРХНОСТНОГО МОНТАЖА:

- Новый типоразмер 1812;

4 СПРАВОЧНИК:

- Новая база. Фотоэлементы;

- Фотоэлементы. Новые типы (PD15-21B-TR8, PD15-22B-TR8, PD15-22C, PD15-22C-L3-TR8, PD15-22C-TR8,

PD204-6B, PD204-6B-L3, PD333-3B-H0-L2, PD333-3C-H0-L2, PD42-21B-S21-TR8,

PD42-21B-TR8, PD42-21C-TR8, PD438B-C1, PD438B-C2, PD438B-L1, PD438B-S46,

PD438B, PD438C-S46, PD438C, PD638B, PD638C, PD70-01B-TR7, PD70-01B-TR10,

PD70-01C-TR7, PD70-01C-TR10, PD95-21B, PD95-21B-TR10);

5. ЯЗЫКИ:

- Добавлены новые пункты;

6. ДОПОЛНИТЕЛЬНО:

- Переработан диалог - Цветовая маркировка контурных катушек импортных радиоприемников

(перемещен текст, расширена область просмотра);

Color 6.4 - 'shareware' (27 января 2008 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. СПРАВОЧНИК - СТАБИЛИЗАТОРЫ:

- Добавлен новый параметр T раб,*C;

- Регулируемые поделены на подгруппы положительного и отрицательного напряжения;

- Добавлены новые значения;

- Новые типы (LM 337 BT, LM 337 LM, LM 337 IMP, LM 337 LZ);

2. ИНДУКТИВНОСТИ ДЛЯ ПОВЕРХНОСТНОГО МОНТАЖА:

- Дополнена информация по типоразмерам 0805:

(новые значения, дополнительные сведения, точность);

- Новый типоразмер 1210;

3. СПРАВОЧНИК:

- ДИОДЫ. Новые типы (3Л119А, 3Л123А, 3Л124А, 3Л129А, 3Л132А, 3Л135А, 3Л132Б,

HLMP-CB15, HLMP-CB30, HLMP-CM15, HLMP-CM30, HLMP-DD16,

HLMP-DD25, HLMP-DD31, HLMP-DG08, HLMP-DG15, HLMP-DG24,

HLMP-DG30, HLMP-DH08, HLMP-DH15, HLMP-DH16);

- ТРАНЗИСТОРЫ. Новые типы (2S001, 2S002, 2S003, 2S004, 2S014, 2S032

2S701, 2S702, 2S703, 2S741, 2S742, 2S743,

2S744, 2S745, 2S746);

4. ИСПРАВЛЕНИЯ:

- СТАБИЛИТРОНЫ И СТАБИСТОРЫ:

для типа 3 EZ... значения температуры отображались в поле КОРПУС

5. ЯЗЫКИ:

- Добавлены новые пункты;

Примечание. Начиная с данной версии все версии становятся платными.

Первое приобретение программы осуществляется по полной цене (5 WMZ или 120 WMR), а обновление (0.10 WMZ или 3 WMR).

Меры необходимы в целях развития программы. Цены даны на данную версию и действительны до изменения в новых версиях.

Color 6.3 - 'shareware' (11 января 2008 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. ИНФОРМАЦИЯ ПО БАЗЕ:

- Добавлено отображение аналогов - держатели предохранителей;

2. СПРАВОЧНИК:

- КОРПУСА. Новые типы; (DO-27, КДИ-7, КДИ-12, КДИ-14, КДИ-16, КДИ-21, КДИ-22,

КДИЮ-15-1, КИ-15, КИ2-3,SOT-883, SC-101, SOT-54,

SC-43A, SOT-54A).

- КОРПУСА. Обновлены некоторые типы. (SOT-416, SC-90).

- КОРПУСА. Добавлены аналоги. (SOT-54, SC-43 A).

- ДИОДЫ. Добавлены типы корпусов; (АЛ106А, АЛ107А, 3Л107А, АЛ107Б, 3Л107Б,

АЛ115А, АЛ115В, АЛ118А, 3Л118А,АЛ119А,

АЛ144А, АЛ145А, АЛ156А, АЛ156Б, АЛ156В,

АЛ157А, АЛ161А, АЛ164А, АЛ164Б, АЛ173А).

- СТАБИЛИТРОНЫ И СТАБИСТОРЫ. Новые типы. (1N4728A, 1N4729A, 1N4730A, 1N4731A,

1N4732A, 1N4733A, 1N4734A,

1N4735A, 1N4736A, 1N4737A, 1N4738A, 1N4739A, 1N4740A, 1N4741A,

1N4742A, 1N4743A, 1N4744A, 1N4745A, 1N4746A, 1N4747A, 1N4748A,

1N4749A, 1N4750A, 1N4751A, 1N4752A, 1N4753A, 1N4754A, 1N4755A,

1N4756A, 1N4757A, 1N4758A, 1N4759A, 1N4760A, 1N4761A, 1N4762A,

1 N 4763 A, 1 N 4764 A);

3. СПРАВОЧНЫЕ ДАННЫЕ:

- Индуктивности для поверхностного монтажа типоразмера 0805;

4. РАЗНОЕ:

- Добавлены предыдущие обновления;

5. ЯЗЫКИ:

- Добавлены новые пункты;

UpdateBase_07

Обновление базы данных – ДЕРЖАТЕЛИ ПРЕДОХРАНИТЕЛЕЙ от 18 июля 2007 г

1. Новые типы:

ZH 233, ZH 233-1, ZH 235-1, ZH 236-1, ZH 236-2, ZH 237, ZH 238.

2. Добавлены габаритные размеры:

ZH 234, ZH 235, ZH 236.

UpdateBase_06

Обновление базы данных – КОРПУСА от 2 января 2007 г

1. Новые типы:

SC-88, SC-73, SOT-37, DFS

2. Добавлены аналоги:

SOT 363 -> SC-88

SOT-223, TO-261 AA -> SC-73

Color 6.2 - 'shareware' (24 декабря 2006 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

+ РЕГИСТРАЦИЯ:

- Изменены регистрационные ключи;

+ ДЕРЖАТЕЛИ ПРЕДОХРАНИТЕЛЕЙ:

- новые типы (75 наименований);

+ СПРАВОЧНЫЕ ДАННЫЕ:

- Цветовая кодировка значений ТКЕ;

+ ЯЗЫКОВАЯ ПОДДЕРЖКА:

- Новые пункты;

Color 6.1.3 - 'shareware' (3 декабря 2006 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

+ База данных - ДЕРЖАТЕЛИ ПРЕДОХРАНИТЕЛЕЙ

- новый пункт - Аналог

- новый пункт - Дополнительно

- в пункт назначение, добавлен подраздел - для автомобильных предохранителей

- новые типы - KLS5-233-1, KLS5-1095, BLX-3

+ новые пункты в языковых файлах;

Color 6.1.2 - 'shareware' (12 ноября 2006 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Цветовая маркировка контурных катушек импортных радиоприемников - добавлены рисунки катушек;

2. Калькулятор - добавлен диалог выбора расчетов;

3. Общие доработки программы;

4. Языковые файлы - изменены некоторые ключи, новые пункты;

Color 6.1.1 - 'shareware' (5 ноября 2006 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Диалог “справочник”:

- изменен стиль (плавающее окно);

2. Языковая поддержка:

- новые пункты;

Color 6.1 - 'shareware' (7 октября 2006 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. СПРАВОЧНЫЕ ДАННЫЕ -> типоразмеры чип резисторов:

- новые типоразмеры 0201, 1218;

- новый параметр масса;

2. КОРПУСА:

- добавлены аналоги для SOT-223, SOT-143, SC-59;

- новые типы TO-261AA, TO-253, SOT-346, SMT3, SOT-490, SC-89;

- обновлены SC-59, DIP-8;

3. ТРАНЗИСТОРЫ:

- новые типы 2N1302, 2N1304, 2N1306, 2N1308, 2N1310, 2N1311, 2N1312, 2N1366, 2N1367, 2N1391;

4. СПРАВОЧНЫЕ ДАННЫЕ:

- добавлена цветовая маркировка контурных катушек импортных радиоприемников;

5. ДОПОЛНИТЕЛЬНО:

- добавлены предыдущие обновления;

- переработаны некоторые графические файлы;

- дополнена справочная система;

Color 6.0 - 'shareware' (14 августа 2006 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Диоды:

- Добавлены размеры корпусов;

2. Стабилитроны и стабисторы :

- Добавлены размеры корпусов ;

- Добавлено определение новых типов :

Д818А, Д818Б, Д818В, Д818Г, Д818Д, Д818Е.

3. Дополнительно :

- Исправлена ошибка с переключением языков.

Спасибо :

- yurick, ninkinyurick@mail.ru

- Владимир, gvoilu@rambler.ru

- Сергей, kip_vgts@mail.ru

UpdateBase_05

Обновление базы данных - СТАБИЛИТРОНЫ И СТАБИСТОРЫ от 29 ИЮЛЯ 2006 г

1 - Исправления:

В справочнике для стабисторов КС119А

перепутаны значения в колонках Uст.ном,Uст.мах.

-------

Спасибо :

- mixa 934, mixa934@rol.ru

Color 5.9 - 'shareware' (19 марта 2005 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Держатели предохранителей :

- Новые пункты : Материал; Контакт;

- Новые типы :

ZH109, ZH110, ZH111, ZH112, ZH242, ZH243, ZH246, ZH257, ZH258, ДВП6.

- Обновлены следующие типы :

ZH254, ZH266, ZH267, ZH268, ДВП4-2, ДВП4-2В, ДВП4-3, ДВП7, ДВП8, ДП-1М, ДПБ, МДП1-1, ZH234, ZH235, ZH252, ZH255.

- Добавлены рисунки для следующих типов :

ДВП 4-1.

2. Корпуса :

- Новые типы :

TO-39, КТ-2-7, TO-3PBL, SOT-122D, КТ-47, TO-243, SC-62, IPAK, КТ-9, КТ-1-12, SOT-186, TO-220F, TO-247, КТ-14, TO-220A, ITO-220A, SOD-123, SOT-186A, TO-225AA.

- Обновлены следующие типы :

SOT-223, SOT-363.

- Добавлены новые аналоги.

3. Дополнительно :

- Изменение дизайна таблиц : держателя предохранителей, диодов, стабилитронов, варикапов, индуктивностей.

- Общая модификация исходного кода;

Color 5.8 - 'shareware' (7 марта 2005 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1. Диоды :

- Добавлено определение типа диодов по стандарту PRO ELECTRON;

2. Чип компоненты :

- Добавлено определение типа диодов в корпусах SOD-123;

- Изменены рисунки иконок обозначающие, чип- : резисторы, - конденсаторы;

3. Диалог 'Как купить ?' :

- Изменены адреса для покупок, в связи с изменением структуры сайта.

4. Дополнительно :

- Добавлены предыдущие обновления;

5 -Сервис :

- Добавлена поддержка английского языка для:

* новых пунктов меню;

* новых сообщений статусной строки;

* новых сообщений всплывающих подсказок;

6 - Справочная система :

- Обновлена страница 'Панель инструментов' в подразделах : режим расчета;

- Меню->Меню элементы->Диоды;

- Меню->Меню элементы->Чип компоненты;

- Обновлена страница 'О программе' в подразделах : диоды, чип компоненты;

UpdateBase_04

Обновление базы данных - КОРПУСА от 23 февраля 2005 г

1. Новые типы:

SOD-80;

2. Обновлены рисунки следующих типов:

MiniMELF;

3. Добавлены аналоги для следующих типов:

MiniMELF;

-----------

Всего элементов - 84.

Color 5.7.2 - 'shareware' (20 февраля 2005 г)

Программист - Гаязов Г.Н.

ИСПРАВЛЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

- Исправлен ряд мелких часто возникающих ошибок;

- Произведена корректировка некоторых функций;

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

- Изменен регистрационный код.

(Примечание. Новые коды будут разосланы зарегистрированным пользователям. Если по каким либо причинам коды не получены, сообщите ранее присланные коды и как вы приобретали программу).

Color 5.7.1 - 'shareware' (19 февраля 2005 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Печать :

- Вывод на печать данных оптопар - транзисторных;

2 - Справочные данные :

- Новый пункт - Обозначение полупроводниковых приборов.

3 - Сервис :

- Добавлена поддержка английского языка для:

* новых диалогов;

* новых пунктов меню;

* новых сообщений статусной строки;

* новых сообщений всплывающих подсказаок;

Color 5.7 - 'shareware' (4 февраля 2005 г)

Программист - Гаязов Г.Н.

ИСПРАВЛЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Исправления некоторых сообщений файла русского языка.

2 - Периодические ошибки переключения между цветовой и кодовой маркировкой конденсаторов.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Справочник:

- Добавлена новая база - ОПТОПАРЫ - ТРАНЗИСТОРНЫЕ.

2 - Оптопары - транзисторные :

- Вывод характеристик. Новые элементы:

3ОТ110x (А, Б, В, Г).

3ОТ122x (А, Б, В, Г).

3ОТ123x (А, Б, В, Г).

2 - Диалог. Как купить?:

- Оплата через Банк. Добавлены реквизиты банка.

3 - Модификация программы :

- Часть рисунков таблиц определения номиналов загружается только по необходимости, а не при запуске программы.

- Пункт 'Режим чип компонентов' - открывается только тогда, когда выбран пункт 'Чип компоненты'.

- Пункт 'Режим конденсаторов' - открывается только тогда, когда выбран пункт 'Конденсаторы'.

- Режим 'Справочник'. При переходе на базу 'Корпус', автоматически устанавливается режим 'Корпус', а режим 'Таблица' - блокируется.

- Изменен дизайн таблиц характеристик оптопар.

4 - Сервис :

- Добавлена поддержка английского языка для:

* сообщения программы (частично);

* новые пункты диалога 'Справочник';

* новые пункты диалога 'О программе';

5 - Диалог 'О программе' :

- Убрана ссылка - Общий информационный сайт;

- Добавлена ссылка - Гостевая книга;

- Добавлена ссылка - Форум;

Color 5.6.1 - 'shareware' (20 января 2005 г)

Программист - Гаязов Г.Н.

ИСПРАВЛЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Конденсаторы. Трехкодовая маркировка. Не отображался ноль первого знака.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Диалог. Как купить?:

- Оплата через Web Money.

Добавлены ссылки для оплаты через сервис Web Merchant Interface WMR и WMZ.

- Добавлен диалог опата через банк.

2 - Сервис:

- Добавлена поддержка английского языка для:

* новые пункты диалога 'Как купить?';

Color 5.6 - 'shareware' (16 января 2005 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Сервис:

- Добавлена поддержка английского языка для:

* сообщения программы (частично);

* новые пункты диалога 'Регистрация';

* новые пункты статусной строки;

* новые пункты всплывающих подсказок;

2 - Конденсаторы:

- Добавлено деление на подгруппы - цветовая и кодовая маркировки.

- Добавлено определение по 3-х кодовой маркировке.

3 - Диоды:

- Вывод характеристик. Новые элементы:

АЛ173 (А).

АЛ174 (А).

КИПД33 (А-М).

КИПД35 (А-Ж, А-К, А-Л, Б-Ж, Б-К, Б-Л, В-Ж, В-К, В-Л).

- Исправлены характеристики некоторых элементов:

АЛ164 (А, Б, В).

4 - Добавлено предыдущее обновление:

- Обновление базы данных - СТАБИЛИТРОНЫ И СТАБИСТОРЫ от 6 января 2005 г.

5 - Справочная система:

- переработана и дополнена;

- Конденсаторы->Стандарты, добавлено деление на цветовая и кодовая маркировки.

6 - Если программа зарегистрирована, то пункт 'Регистрация' в меню 'Справка' - блокируется.

7 - Пункт 'Калькулятор' в меню 'Сервис' доступен теперь в любом режиме.

UpdateBase_03

Обновление базы данных - СТАБИЛИТРОНЫ И СТАБИСТОРЫ от 6 января 2005 г

1 - Новые типы:

3EZxxD5 (10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 22, 24, 27, 28, 30, 33, 36, 39, 43, 47, 51, 56, 62, 58, 75, 82, 91).

3EZx.xD5 (3.9, 4.3, 4.7, 5.1, 5.6, 6.2, 6.8, 7.5, 8.2, 9.1).

В базе 559 наименования.

Color 5.5 - 'shareware' (12 декабря 2004 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Сервис:

- Добавлена поддержка английского языка для:

* завершен перевод заголовков;

* перевод новых сообщений всплывающих подсказок;

* перевод новых пунктов меню;

* перевод новых сообщений статусной строки;

2 - Чип компоненты:

- Добавлено определение по 2-х и 3-х кодовой маркировке электролитических конденсаторов для поверхностного монтажа SMD.

3 - Стабилитроны и стабисторы:

- Вывод характеристик. Новые элементы:

1N47xx (00, 01, 02, 03, 04, 05, 06, 07, 08, 09, 10, 11, 12, 13, 14, 15, 16, 17).

4 - Добавлены предыдущие обновления:

- Обновление базы данных - КОРПУСА от 13 ноября 2004 г.

- Обновление базы данных - СТАБИЛИТРОНЫ И СТАБИСТОРЫ от 14 ноября 2004 г.

- Обновление базы данных - ДИОДЫ от 5 декабря 2004 г.

5 - Справочная система:

- переработана и дополнена;

- новая страница в разделе 'Чип компоненты';

- обновлена главная страница (подпункт - чип компоненты);

- обновлена страница 'Регистрация';

- Обновлена страница 'Как купить?';

6 - Дополнительно:

- изменение адреса общего информационного сайта;

7 - Диалоги:

- Обновлена информация в диалоге 'Регистрация';

UpdateBase_02

Обновление базы данных - ДИОДЫ от 5 декабря 2004 г.

1 - Новые типы:

1N54xx (00, 02, 04, 06, 07,08).

1N58xx (17, 18, 19, 20, 21, 22).

BAYxx (38, 63, 71, 74).

В базе 220 наименования.

UpdateBase_01

Обновление базы данных - СТАБИЛИТРОНЫ И СТАБИСТОРЫ от 14 ноября 2004 г

1 - Новые типы:

BZX84CxVx (2V7, 3V0, 3V3, 3V6, 3V9, 4V3, 4V7, 5V1, 5V6, 6V2, 6V8, 7V5, 8V2, 9V1).

BZX84Cxx (11, 12, 13, 15, 16, 18, 20, 22, 24, 27, 30, 33, 36, 39, 43, 47, 51).

В базе 503 наименования.

UpdateBase_00

Обновление базы данных - КОРПУСА от 13 ноября 2004 г.

1 - Новые типы:

КТ28-1, КТ28-2, КД-11, КД-11А

2 - Добавлены аналоги:

КТ28-2 <-> TO-220

В базе 83 наименования.

Color 5.4 - 'shareware' (17 октября 2004 г)

Программист - Гаязов Г.Н.

ИСПРАВЛЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Ошибка в отображении заголовка диодов (2-х цветная).

2 - Ошибка в некоторых версиях ОС при выборе языков.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Сервис:

- произведена корректировка перевода;

- Добавлена поддержка английского языка для:

*заголовки (частично);

* сообщения программы (частично);

2 - Корпуса:

- Обновлены рисунки следующих типов:

TO-220, TO-220AB, DPAK, D2PAK, TO-263, TO-252AA, DIP-4, TO-18, TO-126, КТ-26, TO-218, КТ-43-1, TO-247AC, TO-3, DO-35, DO-41.

- Новые типы:

TO-220-5.

3 - Общая модификация программы:

- заголовки выводятся в рамках;

- скорректированы некоторые названия заголовков;

- переработан алгоритм рисования меню:

* не доступные пункты закрашиваются красным цветом;

* доступные пункты закрашиваются зеленым цветом;

- новые иконки;

4 - Транзисторы:

- Добавлено определение новых типов, серии 3x;

5 - Стабилитроны и стабисторы:

- Вывод характеристик. Новые элементы:

1N46xx (22, 24, 55, 78, 79, 80, 81, 82, 83, 84, 85).

Color 5.3 - 'shareware' (2 октября 2004 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Сервис:

- Добавлена поддержка английского языка для:

* диалог 'Ряды значений сопротивлений и емкости';

* диалог 'Выбор языка программы';

* диалоги всех типоразмеров;

2 - Меню:

- Новое меню 'Справочные данные'

3 - Меню 'СПРАВОЧНЫЕ ДАННЫЕ':

- вывод рядов значений сопротивлений и емкости .

- вывод типоразмеров чип резисторов;

- вывод типоразмеров чип конденсаторов;

4 - Выбор языка программы:

- Автоматическое сканирование файлов;

- Отдельное диалоговое окно

5 - Справочная система:

- Переработана страница 'ЯЗЫК (Команда меню СЕРВИС)', 'От автора'

- Добавлен новый подраздел 'Меню Справочные данные'.

6 - Оплата программы:

- Добавлена информация по R кошельку

- Изменение цены программы

Color 5.2 - 'shareware' (18 сентября 2004 г)

Программист - Гаязов Г.Н.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Сервис:

- Добавлена поддержка английского языка для:

* завершен перевод диалога 'Справочник';

* сообщения статусной строки;

* всплывающие подсказки панели инструментов;

* сообщения справочника (частично);

2 - Справочная система:

- Переработаны все подразделы из пунктов 'Меню ФАЙЛ ', 'Меню ВИД', 'Меню ЭЛЕМЕНТЫ', 'Меню СЕРВИС', 'Меню СПРАВКА', 'Меню ГДЕ КУПИТЬ?'.

3 - Корпуса:

- Новые типы:

TO-221, TO-17, TO-236, TO-82.

- Обновлены рисунки:

SOT-23, TO-18, КТ-26, SOT-143.

4 - Стабилитроны и стабисторы:

Вывод характеристик. Новые элементы:

3EZxxxD5 (100, 110, 120, 130, 140, 150, 160, 170, 180, 190, 220, 240, 270, 300, 330, 360, 400).

Color 5.1 - 'shareware' (27 августа 2004 г)

Программист - Гаязов Г.Н.

ИСПРАВЛЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Справочник :

- Ошибки в базе данных светодиодов.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Сервис:

- Добавлена поддержка английского языка для:

* заголовок диалога 'Оплата через Web Money';

* заголовок и комментарий диалога 'Информация по элементной базе';

* заголовок и комментарий диалога 'Регистрация';

* диалог 'Калькулятор';

* диалог 'Справочник' (частично);

* диалог 'О программе';

* сообщения справочника (частично);

3 - Панель инструментов :

- Для справочника создана своя собственная панель инструментов;

- Из всех других панелей инструментов удалены режимы работы справочника 'Таблица', 'Корпус';

- Переработаны некоторые иконки.

4 - Справочная система:

- Обновлена страница 'Режим справочника';

- Переработаны страницы: 'О программе Color', 'От автора', 'Меню ФАЙЛ', 'Меню ВИД', 'Меню ЭЛЕМЕНТЫ', 'Меню СЕРВИС', 'Меню СПРАВКА', 'Меню ГДЕ КУПИТЬ?'.

5 - Для программы был открыт свой собственный сайт http://ColorAndCode.narod.ru

6 - Если программа не зарегистрирована, то на стартовой странице появляется предупреждение.

7 - Стабилитроны и стабисторы:

- Вывод характеристик. Новые элементы:

2С133 (В, Г); 2С147 (В, Г); 2С156 (В, Г); 2С168 (В); 2С190 (Б, В, У).

1SMB59xxBT3 (13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56).

8 - Диоды:

- Вывод характеристик. Новые элементы:

3Л107 (А, Б); 3Л108 (А); 3Л118 (А).

КИПД31 (А-К, Б-К, В-К, Г-К).

9 - Корпуса :

- Новые типы:

TO-5, TO-1, TO-22, TO-9, TO-29, TO-78, TO-11.

Color 5.0 - 'shareware' (14 августа 2004 г)

Программист - Гаязов Г.Н.

ИСПРАВЛЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Регистрация:

- При регистрации в режиме 'Бесплатная версия - Freeware' происходила ошибка.

2 - Меню:

- Режим 'Стандарт->BOURNS' был доступен во всех режимах, а не только в режиме 'Чип компоненты'.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Меню:

- В подменю 'Сервис' добавлен пункт 'Язык' с двумя подменю 'Русский' и 'Английский'.

- Переработан алгоритм вывода иконок и добавлены новые.

- В подменю 'Сервис' удален пункт 'Калькулятор->Внешний', а пункт 'Встроенный' перенесен как 'Калькулятор'.

2 - Сервис:

- Добавлена поддержка английского языка для:

* меню;

* стартовой страницы;

* диалог 'Как купить программу Color';

* все диалоги связанные с регистрацией;

* диалог 'Информация по базе';

3 - Диалог 'Как купить программу Color':

- Убран пункт 'Оплата через банк';

- В пункт 'Оплата через Web Money' добавлена кнопка '...аттестат нашего WM ..';

4 - Справочная система:

- Из пункта 'Как купить программу?' удалена информация 'Оплата через банк'.

- Для 'Меню->Сервис' добавлена информация по выбору языков.

- Для 'Меню->Сервис' переработан пункт 'Калькулятор'.

- Страница 'От автора' убраны подпункты 'тестирование' и 'информационная поддержка'.

5 - Диалог 'О программе':

- удален пункт 'Тестирование проводил'.

- удален пункт 'Информационная поддержка'.

6 - Стабилитроны и стабисторы:

- Вывод характеристик. Новые элементы:

1N9xxB (57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81, 82, 83, 84, 85, 86, 87, 88, 89, 90, 91, 92).

Color 4.4.3.0 - 'shareware' (20 июля 2004 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

Информационная поддержка - Зуев В.А.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Меню:

- Добавлены иконки.

2 - Диоды:

- Вывод характеристик. Новые элементы:

КИПД18 (А-М, Б-М).

КИПД19 (А-М, Б-М).

КИПД21 (А-К, Б-К, В-К).

КИПД23 (А-К).

КИПД24 (А-Ж, А-К, А-Л, Б-Ж, Б-К, Б-Л).

Color 4.4.2.0 - 'shareware' beta 2 (8 июля 2004 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

Информационная поддержка - Зуев В.А.

ИСПРАВЛЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - При переходе с режима 'Чип компоненты->Bourns' в режим 'Резисторы' - не активировались метки.

2 - Исправления в базе 'Стабилитроны и стабисторы' для элемента КС533А1.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Резисторы:

- Переработаны рисунки типов корпусов.

2 - Стабилитроны и стабисторы:

- Вывод характеристик. Новые элементы:

1N59xxB (46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 85, 86, 87, 88, 89, 90, 91, 92, 93, 94, 95, 96, 97, 98, 99).

1N60xxB (00, 01, 02, 03, 04, 05, 06, 07, 08, 09, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25).

1N7xxA (10, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59).

КС536А1, КС539Г2, КС547В2, КС551А1, КС568В2, КС582А, КС582Г2, КС591А1, КС596В2, КС600А1.

3 - Корпуса:

- Добавлены новые аналоги.

- Новые типы:

SC-59, SC-70, SOT-416, SC-90, SOT-143, SOT-363.

4 - Меню 'Информация по элементной базе':

- Добавлен показ информации по элементной базе оптопар.

5 - Справочник:

- Новая элементная база 'Оптопары', в которую вошли следующие элементы:

MOCDxxx (211, 213, 217, 223); 3ОД101x (А, Б, В, Г, Д), 3ОД129x (А, Б), 3ОД145x (А), АОД101x (А, Б, Е, Ж).

6 - Справочная система:

- Добавлен раздел 'Оптопары' с подразделом 'Характеристики'.

- Дополнены подразделы 'Меню->Элементы->Конденсаторы', 'Меню->Элементы->Чип компоненты', 'Меню->Сервис->Справочник'.

- Обновлена страница 'Обзор программ'.

7 - Печать:

- Вывод на печать данных оптопар.

Color 4.4.1.0 - 'shareware' beta 1 (6 июля 2004 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

Информационная поддержка - Зуев В.А.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Общая модификация исходного кода.

2 - Скорректированы некоторые иконки .

3 - Меню 'Как купить программу Color' -> 'Оплата через Web Money' :

- Для WMZ и WMI сделаны текстовые блоки (для возможности копирования).

4 - Конденсаторы:

- Определение новых типов по 5-ти цветной маркировке.

- Переработаны рисунки типов корпусов.

5 - Справочная система:

- Добавлена информация по конденсаторам (5-ти цветная маркировка).

Color 4.4 - 'shareware' beta 1 (6 июля 2004 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

Информационная поддержка - Зуев В.А.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Общая модификация исходного кода.

2 - Скорректированы некоторые иконки .

3 - Меню 'Как купить программу Color' -> 'Оплата через Web Money' :

- Для WMZ и WMI сделаны текстовые блоки (для возможности копирования).

4 - Конденсаторы:

- Определение новых типов по 5-ти цветной маркировке.

- Переработаны рисунки типов корпусов.

5 - Справочная система:

- Добавлена информация по конденсаторам (5-ти цветная маркировка).

Color 4.3.0.9 - 'shareware' (12 июня 2004 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

Информационная поддержка - Зуев В.А.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Корпуса:

- Новые типы:

SO-14,SO-16 .

2 - Конденсаторы:

- Добавлено определение новых типов по четырехцветной маркировке.

3 - Справочная система:

- Обновлена страница 'Конденсаторы->Стандарты'. Раздел 4 метки.

4 - Виды элементов:

- добавлена возможность прокрутки (пример 'Конденсаторы->Стандарты'. Раздел 4 метки.)

5 - Стабилитроны и стабисторы:

- Вывод характеристик. Новые элементы:

КС533 (А1); 1N55 (18B, 18C, 18D); 1N59 (13B, 14B, 15B, 16B, 17B, 18B, 19B, 20B, 21B, 22B, 23B, 24B, 25B, 26B, 27B, 28B, 29B, 30B, 31B, 32B, 33B, 34B, 35B, 36B, 37B, 38B, 39B, 40B, 41B, 42B, 43B, 44B, 45B).

Color 4.2.0.3 - 'shareware' (6 июня 2004 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

Информационная поддержка - Зуев В.А.

ИСПРАВЛЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Конденсаторы. Включено 6 меток:

- Не выделялась третья колонка.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Меню 'О программе':

- Изменен внешний вид.

2 - Тип корпусов:

- Использован стандартный отступ с правого края для всех типов элементов.

3 - Меню 'Где Купить?'

- Добавлено подменю 'Как купить программу Color'

4 - Конденсаторы:

- Добавлено определение новых типов по четырехцветной маркировке.

5 - Справочная система:

- Обновлена страница 'Конденсаторы->Стандарты'. Раздел 4 метки.

6 - Диоды:

- Вывод характеристик. Новые элементы:

Д7 (А, Б, В, Г, Д, Е, Ж); Д9 (И, К, Л, М); КИПД17 (А-Ж, А-К, А-Л, Б-Ж, Б-К, Б-Л, В-Ж, В-К, В-Л).

7 - Пользование программой:

- Отменены пробные пять запусков. Т.е. программа теперь работает только в двух режимах: Freeware - когда часть функций не доступна и Shareware - когда все функции доступны.

8 - Файл History.htm:

- Оставлена только информация о версиях 4.x

9 - Стабилитроны:

- Вывод характеристик. Новые элементы:

Д818 (А, Б, В, Г, Д, Е); КС106 (А, А1).

- Вывод аналогов.

Color 4.1.0.7 - 'shareware' (30 мая 2004 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

Информационная поддержка - Зуев В.А.

ИСПРАВЛЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Конденсаторы:

- Вывод комментариев для элементов отмеченных *, ** - В экран не входила вся информация.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Внешние модули:

- Добавлена возможность использования внешнего электротехнического калькулятор Grand.

2 - Меню 'Cервис':

- Подменю 'Калькулятор' - объединил пункты 'Встроенный', 'Внешний'.

3 - Справочная система:

- Переработан и дополнен пункт 'Калькулятор' в меню 'Сервис'.

- Изменен пункт 'Как купить программу?'.

4 - Меню 'О программе':

- Новый адрес сайта.

5 - Диоды:

- Вывод характеристик. Новые элементы:

КИПД14А1-К, КИПД14А-К, КИПД14Б-К, КИПД14В-Л, КИПД14АГ-Л, КИПД14Д-Л, КИПД14Е-Ж, КИПД14И-Ж.

АЛ161А, АЛ162А.

6 - Транзисторы:

- Вывод характеристик. Новые элементы:

КП303А, КП303Б, КП303В, КП303Г, КП303Д, КП303Е, КП303Ж, КП303И.

Color 4.1.0.6 - 'shareware' (8 Февраля 2004 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

Информационная поддержка - Зуев В.А.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Корпуса:

- Вывод аналогов.

Например для корпуса КТ-26 аналогом является TO-18 и наоборот для TO-18 аналог КТ-26.

- Вывод на печать.

- Названия корпусов убраны из рисунков (для сокращения размера). Вывод осуществляется обычным текстом.

- Новые типы:

DPAK, SMB, SMC, SMA, DO-214 AA, DO-214 AB, DO-214 AC, TO-263, D2PAK.

2 - Информация по базе:

- Изменен внешний вид диалога.

3 - Стабилитроны и стабисторы:

- Вывод характеристик. Новые элементы:

1N52xxB (21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 65, 66, 67, 68, 69, 70, 71, 72, 73, 74, 75, 76, 77, 78, 79, 80, 81).

КС406 (А, Б).

КС407 (А, Б, В, Г, Д, Е).

4 - Конденсаторы:

- Добавлены комментарии для элементов выделенных *, **.

5 - Чип компоненты:

- Добавлено определение чип резисторов фирмы BOURNS по 3-х кодовой, 3-х кодовой внутрифирменной, 4-х кодовой маркировке.

6 - Справочная система:

- Обновлена страница 'Меню->Элементы->Чип компоненты'.

- Добавлен раздел 'Чип компоненты'.

- Обновлена страница 'О программе (Чип компоненты)'.

- Обновлена страница 'Панель инструментов'.

- Обновлена страница 'Регистрация'.

Color 4.0.0.4 - 'shareware' (24 Января 2004 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

Информационная поддержка - Зуев В.А.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ

1 - Корпуса:

- Новые типы:

DO-35, MiniMELF.

2 - Транзисторы:

- Вывод аналогов. Новые типы.

3 - Диоды:

- Добавлен вывод аналогов.

- Вывод характеристик. Новые элементы:

АЛ144 (А), АЛ145 (А, Б, В, Г, Д), АЛ147 (А, А1), АЛ154 (А, Б, В), АЛ156 (А. Б, В), АЛ157 (А).

ИПД25 (А-К, Б-Ж, А-Л), КИПД01 (А-1Л, Б-1Л), КИПД05 (А-К, Б-Л, В-Ж).

КД708 (А, Б, В), КД812 (А.Б, В).

4 - Функции печати:

- Диоды. Добавлено печать аналогов.

5 - Справочная система:

- Обновлена страница 'Панель инструментов'

- Обновлена страница 'Меню->Элементы'

- Обновлена страница 'О программе'

- Обновлена страница 'Конденсаторы->Стандарты'

- Страница 'Как купить', обновлена и добавлена информация по WebMoney

6 - Информация по базе:

- Добавлено отображение сведений о поддержке аналогов.

7 - Стабилитроны и стабисторы:

Вывод характеристик. Новые элементы:

КС528 (А, В, Г, Д, Е, Ж, И, К, Л, М, Н, П, Р, С, Т, У, Ф, Х, Ц ).

КС417 (А. Б, В, Г, Д, Е, Ж).

КС506 (А, Б, В, Г, Д).

КС508 (А, Б, В, Г, Д).

КС509 (А, Б, В).

8 - Конденсаторы:

- Добавлено определение по 5-и и 6-ти цветной маркировке.

Color 3.9.0.5 - 'shareware' (10 Января 2004 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

Информационная поддержка - Зуев В.А.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕ ПРОГРАММЫ

1 - Корпуса:

- Обновления. Добавлен рисунок корпуса:

SO-8.

- Новые:

TO-220AB, TO-3P, HEXDIP, DO-15, DO-41, DO-201AD, R-1.

2 - Транзисторы:

- Вывод аналогов;

3 - Функции печати:

- Транзисторы. Добавлено печать аналогов.

4 - Диоды:

- Определение. Новые типы:

КД105А, КД105Б, КД105В, КД105Г.

Вывод характеристик. Новые элементы:

АЛ360 (А, А1, Б, Б1); АЛС331 (АМ); ИПД13 (А-К, Б-Ж, В-Л); ИПД14 (А-К, Б-К, В-Л, Г-Л, Д-Л).

5 - Добавлено определение конденсаторов.

6 - Справочная система:

- Диоды. Добавлен пункт 'Стандарты'.

- Добавлен раздел 'Конденсаторы' в который вошел пункт 'Стандарты'.

Color 3.8.0.4 - 'shareware' (19 Декабря 2003 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

Информационная поддержка - Зуев В.А.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕ ПРОГРАММЫ

Обратите внимание на смену адреса E-MAIL с s_kotelnikov@mail.ru на s_kotelnikov@rambler.ru

1 - INTERNET:

- Меню 'О программе' - добавлена ссылка на сайт программы.

- Меню 'О программе' - добавлен E-MAIL - информационной поддержки.

2 - Меню :

- В меню добавлен пункт 'ГДЕ КУПИТЬ?', в который вошел подраздел 'Информация для рекламодателей'.

3 - Справочная система :

- Добавлен раздел 'КАК КУПИТЬ ПРОГРАММУ?' - содержит информацию о стоимости программы и как ее можно приобрести.

4 - Корпуса:

- Обновления. Рисунки следующих корпусов заменены на новые, с размерами.

SO-8.

- Новые:

SOT343R, SOT343N, SOT-223, SOT-323, TO-126, SOT-199, TO-247AC, TO-251AA, TO-252AA, DIP-4, BZX85C.

5 - Стабилизаторы:

- Вывод аналогов (например для КР142ЕН5А - зарубежный аналог будет 7805CV и наооборот для 7805CV - отечественный аналог будет КР142ЕН5А).

6 - Справочник:

- Добавлена новая база - 'Держатели предохранителей' в которую вошли:

+ электрические параметры;

+ элементы подгруппы : Обычные, Монтаж на плату, На проводе.

+ габаритные размеры корпусов и их фотографии.

7 - Меню 'Информация по базе' добавлена информация по справочнику 'Держатели предохранителей'.

8 - Функции печати:

- Стабилизаторы. Добавлена печать аналогов.

- Держатели предохранителей. Вывод характеристик и габаритных размеров.

9 - Диоды:

- Вывод характеристик. Новые элементы:

АЛ310 (А, В, Г, Д, Е); АЛ336 (А. Б, В, Д, Е, Ж, И, К).

10 - Справочная система:

- Добавлен раздел 'Держатели предохранителей', в который вошел подраздел 'Характеристики'.

Color 3.7.0.1 - 'shareware' (7 Ноября 2003 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕ ПРОГРАММЫ

1 - Варикапы:

- Вывод характеристик. Новые элементы:

2В102 (А, Б, В, Г, Д, Е, Ж); 2В104 (А, Б, В, Г, Д, Е); 2В105 (А, Б); 2В106 (А, Б); 2В110 (А, Б, В, Г, Д, Е, Ж); 2В112 (Б9); 2В119 (А); 2В124 (А, А9, Б); 2В125 (А); 2В133 (А); 2В143 (А, Б, В).

2 - Транзисторы:

- Вывод характеристик. Новые значения:

'h21Э1/h21Э2';

'|dUЭБ|(dUКБ), мВ' ;

'N-P-N и P-N-P' ;

'Средней и большой мощности';

- Вывод характеристик. Новые типы 'Транзисторные сборки'.

- Вывод характеристик. Новые элементы:

2Т381(А-1, Б-1, В-1, Д-1); 2ТС3111 (А-1, Б-1, В-1, Г-1, Д-1); 2ТС3103(А, А1, А-5, Б, Б1, Б-5); 2ТС303А-2;

3 - Справочник:

- Транзисторы. 'Подгруппа' - новые пункты:

'Транзисторные сборки n-p-n биполярные';

'Транзисторные сборки p-n-p биполярные';

'Транзисторные сборки n-p-n и p-n-p биполярные' ;

- Новая база 'Корпуса'.

4 - Справочная система:

- 'Транзисторы->Характеристики' - добавлено 'Транзисторные сборки'.

5 - Чип компоненты:

- Резисторы. Определение по 4-х кодовой маркировке.

6 - Корпуса:

- Новые типы:

SOT-93; КТ-43-2; TO-218; КТ-43-1; TO-3PM; КТ-43А-2; TO-50; SOT-89.

7 - Диоды:

- Вывод характеристик. Новые элементы:

АЛ123 (А); АЛ124 (А); АЛ132 (А, Б); АЛ135 (А); АЛ102 (АМ, БМ, ВМ, ГМ, ДМ).

Color 3.6.0.4 - 'shareware' (30 октября 2003 г)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А.

ИЗМЕНЕНИЯ ОБЩИЕ ДЛЯ ВСЕ ПРОГРАММЫ

1 - Диоды:

- Вывод характеристик. Добавлены новые типы : 'Светоизлучающие диоды' и 'Диоды ИК-диапазона'.

- Вывод характеристик. Новые элементы:

АЛ307 (АМ, БМ, ВМ, ГМ, ДМ, ЕМ, ЖМ, КМ, ЛМ, НМ, ПМ); АЛ106 (А); АЛ107 (А, Б, Г); АЛ108 (А); АЛ115 (А, Б, В); АЛ118 (А); АЛ119 (А, В).

- 3-х кодовая маркировка. Автоматический набор трех цветов. Определение типа.

2 - Справочник:

- Диоды. 'Подгруппа' - новые пункты: 'Обычные', 'Светодиоды', 'ИК-диапазон'.

- После закрытия справочника - восстанавливается предыдущее значение.

3 - Нововведения:

- Функция печати характеристик элементов.

4 - Произведена общая корректировка по информациям корпусов.

5 - Транзисторы:

- Вывод характеристик. Новые элементы:

КТ315 (А1, Б1, В1, Г1, Д1, Е1, Ж1, И1, Н1, Р1); КТ3101 (А-2); КТ3132 (А-2); КТ3151 (А9); КТ809 (А); КТ920 (А, Б, В, Г); КТ939 (А, Б).

6 - Варикапы:

- Вывод характеристик. Новые элементы:

КВ109 (А1, А2, Б1, Б2, В1, В2, Г1, Г2, Д1, Д2, Е1, Е2, Ж1, Ж2); КВ121 (А1, Б1); КВ122 (А1, А2, А3, А9, Б1, Б2, Б3, Б9, В1, В2, В3, В9, Г9); КВ134 (А9); КВ144 (А1, Б1, В1, Г1, Д1); КВ149 (А1, А2, А3, Б, Б1, Б2, Б3, В, В1, В2, В3, Г, Г3).

7 - Корпуса:

- Новые типы:

H/C-1; КТ-21; КТ-46; SOT-23; КТЮ-3-20; КТ-17; КТ-16-2;

8 - Стабилитроны и стабисторы:

- Вывод характеристик. Новые элементы:

Д815 (А, В, Г, Е, Ж); Д816 (А, Б, В, Г, Д); Д817 (А, Б, В, Г).

BZX55CxxRL (10, 11, 12, 13, 15, 16, 18, 20, 22, 24, 27, 30, 33, 36, 39, 43, 47, 51, 56, 62, 68, 75, 82, 91).

9 - Справочная система:

- Диоды->Характеристики. Добавлена информация по излучающим диодам.

Color 3.5.0.3 - 'Shareware' (12 октября 2003 г.)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Транзисторы:

- Добавлено новое значение (полевые) - 'Корпус'.

- Добавлен новый тип - 'Однопереходные'.

- Вывод характеристик. Новые элементы:

2Т117(А, А-5, Б, В, Г); КТ117(А, Б, В, Г); КТ1119(А, Б).

2 - Варикапы:

- Вывод характеристик. Новые элементы:

КВ109 (Г, Д, Е, Ж); КВ130 (А9); КВ139 (А); КВ142 (А, Б); КВ143 (А, Б, В); КВ144 (А, Б, В, Г, Д); КВ146 (А); КВ147 (А, Б); КВ148 (А9, Б9, В9); КВ149 (А).

- Добавлено новое значение - 'Корпус'.

3 - Корпуса:

- Новые типы:

SO-8; DIP-8, 14, 16, 20; КД-17; BZX55C; КДЮ-11-3;

4 - Справочник:

- Новый элемент управления 'Подгруппа'.

5 - Диоды:

- Вывод характеристик. Новые элементы:

1N41xx (47, 48, 49, 51, 53); 1N43xx (05, 06); 1N44xx (46, 47, 48, 49, 54); 1N45xx (31, 32); 1N49xx (33, 34).

5 - Стабилитроны и стабисторы:

- Вывод характеристик. Новые элементы:

КС113А; КС119А; КС530 (А, А1); КС531В2.

- Добавлено новое значение - 'Корпус'.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ.

1 - Модификация внутренного кода.

2 - Образцы рисунков корпусов загружаются выборочно, а не при старте программы.

3 - Рисунки видов корпусов загружаются выборочно, а не при старте программы.

ИСПРАВЛЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Транзисторы;

Название корпуса КТ26 - переправлено на TO-92 (КТ-1-7)

Название корпуса КТ27 - переправлено на TO-126

Color 3.4.0.10 - 'Shareware' (6 октября 2003 г.)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Резисторы:

- Калькулятор. Добавлен расчет с учетом допустимых отклонений в %.

- Кодовая маркировка. Новый вид кодирования - вида 10EC.

- Кодовая маркировка. Выделение таблицы.

2 - Варикапы:

Вывод характеристик. Новые элементы:

КВ12А, Б, В; КВ122А, Б, В; КВ123А; КВ128А; КВ129А, Б; КВ132А; КВ136А, Б; КВ138А, Б.

3 - Транзисторы:

Вывод характеристик. Новые элементы:

КТ829А, Б, В, Г; КТ834А, Б, В; КТ899А; КП302А, АМ, Б, БМ, В, ВМ, Г.

зарубежные (подробнее см. ТРАНЗИСТОРЫ->Характеристики (биполярные, полевые).

- Вывод характеристик (полевые)'. Добавлено 'Rси отк, Ом'.

- Вывод характеристик (полевые)'. Добавлено '[Eш]'.

- Вывод характеристик (полевые)'. Добавлено Канал - n-типа.

- Вывод характеристик (полевые)'. Добавлено 'Rт п-с (Rт п-к)'.

- Вывод характеристик (биполярные)'. Добавлено 'Корпус'.

4 - Нововведения:

- ЧИП КОМПОНЕНТЫ.

- Справочник 'Стабилитроны'. Расширен до - 'Стабилитроны и стабисторы'.

- Отображение габаритных размеров корпусов

5 - Диоды:

- Дополнительная информационная строка содержащая:

* назначение диода : Выпрямительные; Универсальные и импульсные.

* мощность диода : Маломощные (на ток до 1 А); Средней мощности (на ток от 1 до 10 А); Мощные (на ток более 10 А).

Вывод характеристик. Новые элементы:

1N4001, 1N4002, 1N4003, 1N4004, 1N4005, 1N4006, 1N4007, 1N4008.

6 - Стабилитроны и стабисторы:

- Определение новых типов по 2-х кодовой цветовой маркировке:

КС215Ж, КС216Ж, КС218Ж, КС220Ж, КС222Ж, КС224Ж.

Вывод характеристик. Новые элементы:

КС215Ж, КС216Ж, КС218Ж, КС220Ж, КС222Ж, КС224Ж; КС107А.

зарубежные (подробнее см. Стабилитроны и стабисторы->Характеристики).

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ.

1 - Переработаны некоторые корпуса элементов.

Color 3.3.0.21 - 'Shareware' (30 сентября 2003 г.)

Программист - Гаязов Г.Н.

Тестирование проводил - Котельников С.А

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Резисторы:

- Новые элементы - Кодовая маркировка.

2 - Меню 'Регистрация' добавлена подробная информация о функциях требующих регистрацию.

3 - Справочник:

- к списку деталей применена сортировка по возрастанию.

- новая база данных 'Стабилизаторы' (отечественные и зарубежные - более 100 элементов) в которую вошли следующие элементы (подробнее см. справочную систему 'Стабилизаторы-Характеристики')

- Линейные стабилизаторы положительного напряжения .

- Линейные стабилизаторы отрицательного напряжения .

- Регулируемые стабилизаторы .

- Импульсные стабилизаторы напряжения .

- Транзисторы - Полевые. Характеристики. Список элементов переведен в плавающее окно.

4 - Диалог 'Информация по базе' - добавлена сводка по базе стабилизаторов.

5 - Справочная система:

- Новый раздел 'Стабилизаторы'

- В раздел 'Стабилизаторы' добавлен пункт 'Характеристики', в котором описаны характеристики для

- Линейных стабилизаторов положительного напряжения

- Линейных стабилизаторов отрицательного напряжения

- Регулируемых стабилизаторов

- Импульсных стабилизаторов напряжения

5 - Варикапы:

- Визуальный набор.

- Вывод характеристик новые элементы:

КВ110А, Б, В, Г, Д, Е.

- После определения варикапа не происходит автоматического перехода на страницу характеристик. За место этого выводятся кнопки управления для перехода на страницу характеристик и обратно.

6 - Транзисторы:

- Вывод характеристик. Деление 'tвкл' на 'нс' и 'мкс'.

- Вывод характеристик новые элементы:

КП102Е, Ж, И, К, Л; КТ361А, А1, Б, В, Г, Д, Д1, Е, Ж, Л, М, Н, П; КТ315А, Б, В, Г, Д, Е, Ж, И, Н, Р; КТ827А, Б, В; КТ8116Б, В.

7 - Диоды:

- Визуальный набор.

- Вывод характеристик новые элементы:

КД522А; КД106А; КД109А, Б, В; КД126А; КД127А; КД128А, Б, В.

8 - Стабилитроны:

- Визуальный набор.

- Характеристики. Дополнительная информационная строка (Общего назначения, Прецизионные, Импульсные, Двуханодные).

- Iстmax и Iстmin заменены местами

- Вывод характеристик новые элементы:

КС405А, Б; КС108А, Б, В; КС175Е; КС182Е; КС191Е; КС162А; КС168В; КС166А, Б, В; КС190Б, В, Г, Д.

9 - Появился независимый тестер программы. Его E-MAIL на вкладке 'О программе' и на странице 'От автора'.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ.

1 - Модификация внутреннего кода.

2 - Рисунки

- таблиц с характеристиками

- корпусов элементов

- видов элементов

- таблиц данных (не содержащих цветовые коды)

конвертированы в формат GIF

3 - Справочник. Название элементных баз переведены в список с сортировкой по возрастанию.

Color 3.2.0.9 - 'Shareware' (25 сентября 2003 г.)

Разработка Гаязов Г.Н.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Транзисторы:

- Вывод характеристик. Новые элементы:

КТ819А-Г,АМ-ГМ, КТ818А-Г,АМ-ГМ, КТ816А2, КТ3128А9,Б1, КТ3126А9, КТ3061, КТ3120А, КТ316А,В-Д.

- Вывод характеристик. Новое значение - 'К ур, дб'.

- Вывод характеристик. Новое значение - 't вкл, нс'.

2 - Диоды:

- Вывод характеристик. Новые элементы:

КД103А-Б, КД104А, КД105Б-Г.

3 - Стабилитроны:

- Вывод характеристик. Новые элементы:

КС133Г, КС139Г, КС147Г, КС156Г, КС175Ц, КС182Ц, КС191Б-В,С,Ц, КС210Ц, КС211Ц, КС212Ц, Ц-1, 2С212В,Ж,Ц,В2,К-1, Д815Б,Д, КС512А1, КС528Б.

4 - Варикапы:

- Вывод характеристик. Новые элементы:

КВ102А-Г, КВ104А-Е.

5 - Справочная система:

- Диоды. Характеристики. Список диодов переведен в плавающее окно.

- Варикапы. Характеристики. Список варикапов переведен в плавающее окно.

- Резисторы->Справочная информация. Произведено деление на 'Общие сведения о резисторах' и 'Условные графические обозначения '.

- Новый раздел - 'Индуктивности'.

- В раздел индуктивности вошли подразделы 'Стандарты' и 'Как определить тип'.

- Стандарты по резисторам объединены в одну группу 'Стандарты' и добавлено 'CORNING GLASS WORK' и 'PANASONIC'.

6 - Нововведения:

- Добавлено определение индуктивностей по 3-х и 4-х кодовой цветной маркировке.

- Меню 'Сервис' добавлен пункт 'Информация по базе'.

7 - Резисторы:

- Новые элементы ф. CORNING GLASS WORK.

- Новые элементы ф. PANASONIC.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ.

1 - Рисунки типов корпусов конвертированы из BMP в JPG.

2 - Статусная строка выводится только после прохождения стартовой страницы.

Color 3.1.0.21 - 'Shareware' (25 сентября 2003 г.)

Разработка Гаязов Г.Н.

ИСПРАВЛЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Ошибка отображения меню под Windows 98.

Color 3.1.0.20 - 'Shareware' (16 сентября 2003 г.)

Разработка Гаязов Г.Н.

ИСПРАВЛЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Если находится на странице характеристик транзисторов и перейти на справочник то будут ошибки: а) в выводе таблиц характеристик б) не возможно закрыть справочник

2 - После окончания кол-ва запусков появляется окно регистрации и после произведения регистрации будут ошибки: а) не отображается меню б) не выводится панель инструментов

3 - Выбор стандартов резисторов не блокируется в меню при при переходе на другие элементы (транзисторы, диоды....)

Color 3.1.0.19 - 'Shareware' (4 сентября 2003 г.)

Разработка Гаязов Г.Н.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Резисторы:

- Новые элементы ф. PHILIPS.

2 - Транзисторы:

- Новое значение для пункта 'Мощность' - Большой мощности.

- Произведено деление значения Iкбо на мА и мкА.

- Произведено деление значения при Iк на мА и А.

- В дополнительной строке новое значение 'составные'.

- Вывод характеристик. Новые элементы:

КТ814А-Г, КТ815А-Г, КТ816А-Г, КТ817А_Г, КТ961А-В, КТ683А-Е, КТ972А-Б, КТ973А-Б.

- После определения транзистора не происходит автоматического перехода на страницу характеристик. За место этого выводятся кнопки управления для перехода на страницу характеристик и обратно.

3 - Справочная система:

- Резисторы. Стандарты. Деление на ГОСТ и PHILIPS.

- Стабилитроны. Характеристики. Список стабилитронов переведен в плавающее окно.

4 - Справочник:

- Выбор базы сделан в выпадающем меню.

- Поиск (метод последовательного приближения).

- Резисторы. Новый пункт -Справочная информация.

5 - Стабилитроны:

- Определение. Новый тип элементов:

КС175Ж, КС182Ж, КС191Ж, КС210Ж, КС211Ж, КС212Ж, КС213Ж.

- Вывод характеристик. Новые элементы:

КС175Ж, КС182Ж, КС191Ж, КС210Ж, КС211Ж, КС212Ж, КС213Ж.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ.

1 - Рисунки корпусов резисторов, транзисторов вынесены во внешние файлы, в директорий GRAF.

2 - Меню и панель инструментов появляются только после прохождения страницы 'Стартовая страница'.

3 - Изменен рисунок кнопки 'Далее' на стартовой странице.

Color 3.0.0.(26-30) - 'Shareware' (26 августа 2003 г.)

Разработка Гаязов Г.Н.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - E-MAIL:

- Добавлен в диалог 'О программе'.

- Добавлен в диалог 'Регистрация'.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ.

1 - Переработано и модифицировано большинство внутренних функций.

2 - Транзисторы:

- Нестандартная цветовая, кодовая и смешанный тип. Переработан маркер и алгоритм выделения транзисторов.

- 2-х кодовая. Рассортировано по группе.

3 - Регистрация. Дополнены информационные сообщения.

4 - Справочная система:

- Транзисторы. Характеристики (БИПОЛЯРНЫЙ). Список транзисторов переведен в плавающее окно.

- Добавлена страница 'От автора'.

Color 3.0.0.25 - 'Shareware' (23 августа 2003 г.)

Разработка Гаязов Г.Н.

ИСПРАВЛЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Справочная система:

- Резисторы. Стандарты - переработано.

2 - Резисторы:

- Определение ТКС переработано.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Справочная система:

- Начальная страница. Переработано и дополнено.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ.

1 - Оптимизация внутреннего кода.

Color 3.0.0.24 - 'Shareware' (22 августа 2003 г.)

Разработка Гаязов Г.Н.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Интерфейс:

- Применены сменные панели инструментов.

2 - Транзисторы :

- Добавлено определение по горизонтальной маркировке. Новые элементы

Тип: КТ208, КТ306, КТ325, КТ337, КТ342, КТ350, КТ373, КТ375, КТ645.

Группа: А, Б, В, Г, Д, Е, Ж, И, К, Л, М.

- Добавлено определение по вертикальной маркировке. Новые элементы

Тип: КТ357, КТ399.

Группа: А, Б, В, Г, Д, Е, Ж, И, К, Л, М.

- Добавлено определение по смешанной маркировке. Новые элементы

КТ3102ГМ, ЕМ, КТ350А, КТ683Б, КТ814Г, КТ815А, КТ816Г, КТ817Б, КТ9115.

- Добавлено определение серии КТ81x.

Тип: КТ814, КТ815, КТ816, КТ817.

Группа: А, Б, В, Г, Д, Е, Ж, И, К, Л, М.

- Переработана нестандартная цветовая маркировка, транзистор КТ503 переведен в группу 'смешанная маркировка'.

- Д ополнена нестандартная кодовая маркировка. Новые элементы:

КТ646А-Б, КТ940, КТ972А-Б, КТ973А-Б, КТ961А.

- Вывод характеристик. Новое значение [ Uкэо гр]

- Вывод характеристик. Новые элементы:

КТ373А-Г, КТ375А-Б, КТ357А-Г, КТ306А-В,Д, КТ399А, КТ325А-В, КТ3102ГМ, КТ3102ЕМ.

- Добавлен визуальный набор.

3 - Справочная система:

- Транзисторы. Произведено деление стандартов по корпусам (КТ-26, КТ-27).

- Резисторы. Стандарты - переработано и дополнено.

4 - Резисторы:

- Добавлен вывод значений ГОм.

- Добавлен визуальный набор.

- Для 5-и меток добавлен выбор между двумя типами корпусов.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ.

1 - Новый логотип.

2 - Резисторы.

- Подкорректирован фиолетовый цвет.

- Удален рисунок R_6.bmp (16 014 байт).

- Рисунок R_4.bmp переименован в R_46.bmp (один образец для различных меток).

- Рисунок R_5.bmp переименован в R_5A.bmp (первый тип корпуса для 5-и полосок).

- За место рисунков корпусов использованы реальные образцы резисторов.

3 - Транзисторы.

- Удалены рисунки 2_TRANZ.bmp (13 914 байт); 4_TRANZ.bmp (15 034 байт); G_TRANZ.bmp (15 034 байт); V_TRANZ.bmp (15 034 байт); X_TRANZ.bmp (15 034 байт).

- За место удаленных рисунков применен один образец под именем KT26.bmp (90282 байт).

- Кодовые метки. Переработаны рисунки.

4 - Оптимизация внутреннего кода.

Color 2.4.1 - 'Shareware' (14 августа 2003 г.)

Разработка Гаязов Г.Н.

Тестирование Зуев В.А.

ИСПРАВЛЕНИЯ (ОБЩИЕ ДЛЯ ВСЕ ПРОГРАММЫ)

1 - Неверные сообщение при регистрации (первые 5 запусков программы).

Color 2.4 - 'Shareware' (12 августа 2003 г.)

Разработка Гаязов Г.Н.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Стабилитроны :

- За место рисунков корпусов использованы - фотографии реальных элементов.

- Характеристики. Расширена система комментариев.

2 - Диоды:

- За место рисунков корпусов использованы - фотографии реальных элементов.

- Новые элементы КД102А-Б, 2Д102А-Б.

- Характеристики. Расширена система комментариев.

3 - Транзисторы:

- Характеристики. Расширена система комментариев.

4 - Справочная система:

- Новый раздел 'Варикапы'

- Раздел "Варикапы" добавлен пункт "Характеристики"

- Раздел "Варикапы" добавлен пункт " Как определить тип "

- Произведена общая переработка справочной системы.

5 - Новый тип элементов 'Варикапы', поддержка следующих типов КВ109А, КВ109Б, КВ109В, КВС111А, КВС111Б.

6 - Элемент управлени 'Справочник'. Добавлена база варикапов.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ

1 - Удален рисунок Tabl_Stab.bmp.

2 - Рисунок Tabl_Diod.bmp переименован в Tabl_DSV.bmp.

3 - Изменен формат файла DIOD.COD.

4 - Изменен формат файла STAB.COD.

Color 2.3 Final - 'Shareware' (6 августа 2003 г.)

Разработка Гаязов Г.Н.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Транзисторы :

- Новые элементы : КТ326АМ-БМ, КТ3117А-А1, КТ339АМ, КТ632Б, КТ313А-Б, КТ208А-М, КТ3157А, КП103Е-К.

2 - Справочная система:

- Транзисторы. Две группы характеристик 'Биполярный', 'Полевой'.

- Полевые транзисторы. Добавлено описание полей входящих в таблицу характеристик.

- Пункт Меню->Регистрация. Добавлено описание регистрации.

- Пункт Меню-Сервис>Справочник. Добавлено описание назначения справочника.

3 - Новый элемент управления 'Справочник'.

4 - Смена с 'Trial' на 'Shareware'.

Color 2.3 beta 2 (4 августа 2003 г.)

Разработка Гаязов Г.Н.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Транзисторы :

- Для поля 'tрас/tвыкл/' добавлено деление на мкс/нс.

- Новые элементы : КТ645А-Б, КТ363А-Б, КТ3126А-Б, КТ646А-Б, КП103Е1.

- Для поля 'fh21/fгр/' добавлено деление на МГц/ГГц.

- Для поля 'Pkmax/Pkсрmax/' добавлено деление на Вт/мВт.

- Скорректирована информация по характеристикам.

- Для поля (Ikmax) добавлено деление на мА/А.

- Для поля (Ikиmax) добавлено деление на мА/А.

- Вывод характеристик для полевых транзисторов.

2 - Справочная система:

- Диоды. Добавлено описание полей входящих в таблицу характеристик.

- Стабилитроны. Добавлено описание полей входящих в таблицу характеристик.

3 - Стабилитроны :

- Скорректирована информация по характеристикам.

Color 2.3 beta 1 (1 августа 2003 г.)

Разработка Гаязов Г.Н.

ИСПРАВЛЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Справочная система. Диоды. Описание элементов для которых заданы характеристики.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Транзисторы:

- Вывод характеристик. Новые элементы:

КТ502А-Е, КТ326А-Б, КТ337А-В, КТ345А-В, КТ349А-В, КТ350А, КТ352А-Б, КТ339А-Д, КТ503А-Е, КТ342А-Г, КТ3102А-К, КТ203А-В, КТ316Б, КТ3128А1, КТ368АМ,БМ, КТ399АМ.

- Определение типа по нестандартным цветовым маркировкам:

КТ3117А, КТ3117А1, КТ645, КТ645А, КТ645Б, КТ399АМ, КП501А, КТ368БМ, КТ368АМ, КТ3126Б, КТ3126А, КТ3102, КТ3107, КТ339, КТ209, КТ646А, КТ646Б, КТ326АМ, КТ326БМ, КТ503, КТ382, КТ660.

- Определение типа по нестандартным кодовым маркировкам:

КТ208Е1, КТ209К, КТ209В, КТ209Б, КТ339АМ, КП103Е1, КТ3128А1, КТ3102Г, КТ316Б.

- Вывод характеристик для нестандартных цветовых и кодовых маркировок (если найдено).

- Убрана строка "РЕЗУЛЬТАТ". Тип элемента выводится над таблицей характеристик.

- Добавлено - дополнительная информационная строка с полями описывающими тип транзистора, структуру, мощность и частоту.

- Удалено поле "Структура" из таблицы и перенесо в дополнительную информационную строку.

2 - Стабилитроны:

- Убрана строка "РЕЗУЛЬТАТ". Тип элемента выводится над таблицей характеристик.

3 - Диоды:

- Убрана строка "РЕЗУЛЬТАТ". Тип элемента выводится над таблицей характеристик.

4 - Справочная система:

- Транзисторы. Добавлено описание полей входящих в таблицу характеристик.

Color 2.2 Trial (28 июля 2003 г.)

Разработка Гаязов Г.Н.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Диоды:

- Новые элементы Д9Б, Д9В, Д9Г, Д9Д, Д9Е, Д9Ж.

- Расширено представление информации на рисунках корпусов

- Для 1 - о точечной маркировки. Определение типа при перемещении курсора.

2 - Рисунки таблиц:

- Различными цветами выделены рабочие и информационные поля

- Синхронизированы цвета на всех таблицах.

3 - Транзисторы:

- Вывод характеристик (если найдено).

4 - Справочная система.:

- Раздел "Транзисторы" добавлен пункт "Характеристики"

4.1 - В пункт "Характеристики" вошли

- Описание элементов (для которых описаны характеристики)

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ

1 - Диоды - вид рисунка корпуса выбирается вручную .

2 - Стабилитроны - вид рисунка корпуса выбирается вручную.

3 - Справочная система. Из раздела "Транзисторы" удален пункт "Нестандартные маркировки". Эти данные перенесены в программу под двумя кнопками "Нестандартные цветовые метки" и "Нестандартные кодовые метки".

Color 2.1 Trial (26 июля 2003 г.)

Разработка Гаязов Г.Н.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Стабилитроны:

- Новые элементы 2С133А, 2С156А, 2С147А, 2С139А, 2С168А.

- Расширено представление информации на рисунках корпусов.

- Вывод характеристик (если найдено)

2 - Справочная система.:

- Раздел "Транзисторы" добавлен пункт "Нестандартные маркировки"

- Раздел "Стабилитроны" добавлен пункт "Характеристики"

- Раздел "Диоды" добавлен пункт "Характеристики"

2.1 - В пункт "Нестандартные маркировки" вошли

- Н естандартные цветовые маркировки

- Н естандартные кодовые маркировки

2.2 - В пункт "Характеристики" вошли

- Описание элементов (для которых описаны характеристики)

3 - Диоды:

- Новые элементы КД226А, КД226Б, КД226В, КД226Г, КД226Д, КД226Е.

- Определение типа по 1-о точечной цветовой маркировке

- Вывод характеристик (если найдено)

4 - Новые 'горячие' клавиши

- цифра '1' активирует расчет по одной метке.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ

1 - Стабилитроны. Информация по кодировке вынесена во внешний файл Stab.cod , находящийся в директории Base.

2 - Диоды. Информация по кодировке вынесена во внешний файл Diod.cod , находящийся в директории Base.

Color 2.0 Trial (16 июля 2003 г.)

Разработка Гаязов Г.Н.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 -Добавлено определение типа транзистора по 4-х точечной маркировке.

2 - Справочная система. Добавлен раздел "Транзисторы".

3 - В раздел "Транзисторы " добавлены пункты "Стандарты" и "Как определить тип".

4 - Новые 'горячие' клавиши

- цифра '2' активирует расчет по двум меткам.

- клавиша 'x' активирует расчет по кодовым меткам.

5 -Добавлено определение типа транзистора по 2-х точечной маркировке.

6 - Для транзисторов при перемещении мыши выводится строка "ОПРЕДЕЛЕНИЕ" с временными данными.

7 -Добавлено определение типа транзистора по кодовой маркировке.

8 - Изменено определение программы с "Определение номинала элементов РЭА по цветовой маркировке" на "Определение элементов РЭА по цветовой и кодовой маркировке".

9 -Добавлено определение типа диода по 3-х точечной цветовой маркировке.

10 - Справочная система. Добавлен раздел "Диоды".

11 - В раздел "Диоды " добавлен пункт "Как определить тип".

12 - При выводе расчетов резисторов в заголовок добавляется количество полос.

13 - Справочная система. Добавлен раздел "Стабилитроны".

14 - В раздел "Стабилитроны " добавлены пункты "Стандарты" и "Как определить тип".

15 - При расчете резисторов выводится рисунок резистора с комментариями.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ

1 - Автоматизированы функции вычисления номера цвета и получения координат копирования.

2 - Удален рисунок маркера (MARKER.bmp 6 654 байт).

3 - За место удаленного рисунка применены стандартные функции рисования Windows.

4 - Удалены рисунки выделенных столбцов (Select_1.bmp, Select_2.bmp,Select_3.bmp - 71 814 байт ;

Select_Dop.bmp - 136 174 байт ; Select_Mnog.bmp - 99 894 байт ; Select_TKC.bmp - 69 774 байт).

5 - Заместо рисунков выделенных столбцов применены стандартные функции рисования Windows.

6 - Модифицирована система определения номинала резисторов.

7 - Рисунки таблиц (Tabl_Rez.bmp, Tabl_Tranz_2.bmp, Tabl_Tranz_4.bmp) вынесены из программы в директорий Graf .

Color 1.1 Trial (1 июля 2003 г.)

Разработка Гаязов Г.Н.

ИСПРАВЛЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Убраны полосы прокрутки.

2 - Возвращение результата допуска 0,25. Заместо ',' возвращалась 'б'.

3 - Исправлен расчет при 5 метках.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Добавлено определение номинала по 6 меткам.

2 - Добавлена система комментариев: номер метки на элементе и позиция в таблице

(пример: на элементе ТРЕТЬЯ метка : в таблице МНОЖИТЕЛЬ).

3 - В диалоговом окне "Опции" убрана кнопка "Помощь".

4 - В диалоговом окне калькулятора убраны кнопки "Помощь".

4 - Стартовая страница. При наведении курсора на кнопку 'Далее' производится ее выделение.

5 - Скорректирована и дополнена справочная система.

6 - Новые 'горячие' клавиши - цифра шесть активирует расчет по 6 меткам.

7 - В справочную систему добавлена вкладка 'Резисторы'. В эту вкладку вошли пункты 'Стандарты' и 'Как определить номинал'.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ

1 - Модифицирована функция отображения рисунков.

2 - Убрано меню для резисторов (теперь вся информация по маркировкам перенесена в справочную систему под пунктом "CТАНДАРТЫ").

3 - При нажатии на кнопку 'Далее' на стартовой странице программа сразу устанавливает расчет резисторов и выводит таблицу.

4 - Убрано меню 'Опции'.

Color 1.01 Trial (4 июня 2003 г.)

Разработка Гаязов Г.Н.

ИСПРАВЛЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Справочная система. Ошибка вывода рисунков.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - В диалоговом окне "Опции" убрана кнопка "Применить".

2 - В диалоговом окне "Калькулятор" убрана кнопка "Применить".

3 - Информация о предыдущих версиях вынесена в отдельный файл HISTORY.HTM.

4 - Модифицировано меню регистрации.

5 - В панель инструментов добавлена кнопка "Опции".

6 - Ряд кнопок в меню переименованы с английского на русский.

ВНУТРЕННИЕ МОДИФИКАЦИИ ПРОГРАММЫ

1 - Модифицирована функция загрузки рисунков.

2 - Справочная система. Рисунки из BMP конвертированы в JPG.

ИЗМЕНЕНИЯ СТАРТОВОЙ СТРАНИЦЫ

1 – Удалены рисунки стартовой страницы:

а) информация о версии COLOR_VER.bmp - 144 378 байт

б) информация о новых возможностях New.bmp - 598 454 байт

в) стартовая страница Start.bmp - 96 054 байт

2 - Вместо удаленных рисунков (п.1) в программу встроен обычный вывод текста.

3 - Рисунок с кнопкой "Next" (96 054 байт) сокращен до размеров самой кнопки (4 674 байт).

4 - Кнопка "Next" переименована в "Далее".

5 - Однородные цвета выполняются стандартными функциями заливки Windows.

6 - После отжатия кнопки "Далее" удаляется из памяти

а) рисунок вертикальной разделительной полосы.

б) рисунок кнопки "Далее" (отжатой и нажатой)

МАРКЕРЫ

1 - Удалены рисунки маркеров C_CHER.bmp ; C_FIOL.bmp ; C_GEL.bmp ; C_GOL.bmp ; C_KOR.bmp ; C_KRAS.bmp ; C_ORAN.bmp ; C_SER.bmp ; C_SEREB.bmp ;C_ZEL.bmp ; C_ZOL.bmp (каждый по 6 654 байт)

2 - Рисунок маркера C_BEL.bmp переименован в MARKER.bmp.

3 -Для выделения применен единственный маркер (п. 2) с атрибутом копирования SRCAND.

Color 1.0 Trial (9 мая 2003 г.)

Разработка Гаязов Г.Н.

ИЗМЕНЕНИЯ (ОБЩИЕ ДЛЯ ВСЕЙ ПРОГРАММЫ).

1 - Справочная система. К текстовым комментариям были добавлены рисунки.

2 - В справочную систему был добавлен пункт "КАК ОПРЕДЕЛИТЬ НОМИНАЛ".

3 - Общая правка названий меню, сообщений строки состояния, справочной системы.

4 - В справочную систему добавлен пункт "Наши продукты".

5 - В справочную систему добавлена СИCТЕМА УКАЗАТЕЛЕЙ.

6 - Установлены следующие "горячие клавиши"

2.1) N - Новый расчет

2.2) O - Опции

2.3) K - Калькулятор

2.4) 3 - Установка 3 меток

2.5) 4 - Установка 4 меток

2.6) 5 - Установка 5 меток

Color 1.0 Beta (18 апреля 2003 г.)

Разработка Гаязов Г.Н.

Выход базовой версии программы.